Introduction

 Jarte Help

Jarte is a unique word processor based on Microsoft's WordPad word processing engine. The WordPad engine is already built into every copy of the Windows operating system. Jarte wraps itself around the WordPad engine and adds many more features than provided by the WordPad program. In effect, Jarte is a major upgrade to Microsoft's WordPad. However, Jarte does not replace or disturb your existing WordPad program. In fact, you can run both Jarte and WordPad at the same time.

A few of the many features Jarte adds beyond WordPad's capabilities are spell checking, tabbed multiple document access, and USB flash drive portability. Jarte relies on standard word processing file formats RTF, DOC, and TXT. Since Jarte is based on the WordPad engine, the documents it produces are perfectly compatible with Microsoft Word as well as other word processors. Of course, Jarte can also open documents created with WordPad or Word.

If you appreciate WordPad's reliability, fast start up, and small window size, but you have wished it had more features, then Jarte may may be exactly what you are looking for!

Carolina Road Software Carolina Road Software

Copyright © 2001-2008 Carolina Road Software L.L.C. All rights reserved.


Interface Layouts

Main menu: | View
Compact layout: | View
Classic layout: | View

Layouts

Jarte's View button controls which basic interface layout is in use: minimal, compact, or classic. It is also provides control over which of Jarte's individual panels are hidden or displayed.

Minimal Layout

The Minimal Layout's interface is nothing more than the main menu. Other panels can be displayed as needed by selecting them in the View menu.

Note that an alternate main menu can be specified using the Use Alternate Main Menu option in the Options menu.

Compact Layout

Jarte's Compact Layout is a menu driven layout designed to maximize the accessibility of Jarte's features while occupying a minimum of screen space. Each button displays a popup menu.

If the main menu is not displayed then, in addition to using the mouse, the buttons can also be activated using the Alt key shortcuts shown in the illustration above. If the Alt key is momentarily held down then Jarte will display the Alt key button assignments

Classic Layout

Jarte's Classic Layout is Jarte's original layout scheme. It features a main control panel which includes five buttons (the five leftmost buttons) used to select between five tool panels that occupy space to the left of the editing pane.


Frequently Asked Questions

Can Word open documents created with Jarte?

Yes. Jarte uses the WordPad word processing engine to create files. Files created with the WordPad engine are compatible with all versions of Word.

Can Jarte open documents created with Word?

Yes. Jarte can open files created with Word, including files created with Word 2007. However, the WordPad word processing engine Jarte is based on does not support the full range of fancy formatting available in Word. Therefore, some Word documents may appear without some of the fancier formatting that they might appear with in Word.

I corrupted/deleted a file I was working on. Is there any way to recover it?

First, check to see if the file is in the Windows Recycle Bin, if so, then you can restore it from there. If Jarte's document backup feature is turned on then you should be able to recover the document from Jarte's backup folder. If all fails try the Pandora Recovery tool (they have a free version).

How do I associate RTF, DOC, DOCX, and TXT files to Jarte so those files always open in Jarte whenever I double click them?

See Jarte's file association settings.

Can I use Jarte to print envelopes and labels?

Yes. Ready made envelope and label sheet templates can be found on the Jarte templates page. You can also create your own envelope document by following these steps:

· Start a new document for the envelope.
· Enter the "return" and "to" addresses as you would like them to appear on the envelope. You will probably want to use paragraph indent to properly position the "to" address.
· Bring up the Print window and select the appropriate envelope size using the Printer Settings button. You may also want to reduce the left and top print margins to better fit the "from" address into the upper left corner of the envelope.
· Use Print Preview to ensure everything is properly positioned.
· You may want to save your envelope file as a template to make subsequent envelope printing quick and easy.

If you are creating a mailing list:

· You can enter more addresses into the document by copying the first to/from address set and pasting it at the end. Simply change the "to" portion of each new address as required. Be sure to insert a page break between each set of addresses so they will print on separate envelopes when the list is printed.
· Any future changes to the return address can be easily made using Jarte's Replace All function.

How can I reopen a document so that it automatically positions the text caret at its last known point?

The easiest way to do this is to simply set a bookmark at the point you wish to return to before closing the file. When you reopen the file later just click the Next Bookmark button, or press the F2 key, to jump to the desired position.

Jarte Plus can automatically jump to the first or last bookmark in a document when you open it. See advanced setting Open to Bookmark for more information.

Note that plain text files can not record bookmark information. However, Jarte will remember the bookmarks for a plain text file as long as the file remains in the Recent Files list or the Favorite Files list.

If the Always Reopen Last Session option is turned on in the Recent Files list then Jarte automatically reopens the open files from your previous Jarte session. In addition, Jarte scrolls to where the insertion point was located at the time the file was closed in the previous session.

How do I export a document as PDF?

Jarte can export to PDF with the help of a PDF creator utility program. PrimoPDF is a popular, free PDF creator recommended for this purpose.

How do I change Jarte's default font?

Click here for more information.

How can I print my document with page numbers?

You can define a header or footer line that will appear on your document when it is printed. The header or footer line can include a page number.

How do I apply a watermark to my printed documents?

It is sometimes desirable to watermark the pages of a document as "Draft", "Confidential", etc. Although Jarte does not provide direct support for watermarking, many printers supply this feature as part of their printer properties. Click on the Printer Settings button in Jarte's Print window. The Properties window that appears varies depending on your brand and model of printer. Look through the available options in the printer's Properties window and you may see a watermarking option you can use for your documents.

How do I convert my WordPerfect, Microsoft Works, or other document so Jarte can open it?

If you still have the word processor that was used to create the document then open the document in the word processor and use Save As to save the document in RTF format. You will then be able to open the RTF document in Jarte.

Otherwise, Media-Convert provides a free online service that allows you to perform file format conversions.

How do I create a plain text document?

You can change a new or existing rich text document to plain text simply clicking the Format Indicator button in the status bar. A pop-up menu will appear that allows you to decide whether the current document is rich text or plain text.

Can I change the order of the document tabs?

Yes. Simply drag-and-drop a tab to the desired position. You can also right click in the tabs area to display a pop-up menu that provides choices for positioning the current tab.

Are spell check dictionaries in other languages available for Jarte?

Wintertree Software sells spelling dictionaries in additional languages, however, they are very expensive. Hopefully, Jarte will include a larger selection of spelling dictionaries in the future.

Alternatively, you may be able to find a DIC word list file for your language on the Internet. If so, download the file and then drag-n-drop it on the Jarte program. Jarte will then treat the DIC file as a supplementary spelling dictionary.

Why are the Print, Print Preview, and Page Count features disabled?

Jarte was unable to find a default printer on your computer. More information can be found here.

Why are most of Jarte's text formatting tools disabled?

You are probably editing a plain text document. Plain text documents can not record text formatting. The status bar's format indicator displays a [image] when a plain text document is being edited.

Does Jarte support footnotes?

Jarte does not support footnotes at this time, but the feature is planned for a future release. Meanwhile, the workaround is to use endnotes instead. Use a superscript number to denote a reference to an endnote in the text. Append endnotes to the end of the document. Insert a page break before the first endnote to ensure the document's endnote section always begins on a new page when printed.

Does Jarte support multiple columns?

Jarte does not support multiple columns because the WordPad engine Jarte is based on does not currently provide a method implementing that feature. A workaround for the use of columns is to create a table with a single tall row and the desired number of columns. The table borders can be hidden by coloring them white. This workaround is not the same as true columns and is best suited for one page documents.

How do I know if I am using the latest version of Jarte?

Go to Help > Check for Updates, or click the version number in Jarte's About panel. The best way to stay notified of the availability of new versions of Jarte is to subscribe to the Jarte news page's RSS feed.

Can I download this Help document to my computer?

Yes, you can download this Help document as a standard Microsoft Help file. If you place the Help file in the Jarte program folder than Jarte will automatically use the Help file instead of the online Help.

Also note that the Jarte Plus CD includes the Help documentation nicely reformatted as printable PDF manual.


Creating New Documents

Create a New Document

Main menu: | File > New
Compact layout: | File > New
Classic layout: | File Tools Panel > New

Use New to start a new, empty document based the default document format.

Create a New Document from a Template

Main menu: | File > Favorite Files > Templates
Compact layout: | File > Favorite Files > Templates
Classic layout: | File Tools Panel > Favorites > Templates

You can create a new document by opening a document that has been previously saved as a template. See topic Working with Templates for more information on creating template documents.


Opening and Closing Files

Open a File

Main menu: | File > Open
Compact layout: | File > Open
Classic layout: | File Tools Panel > Open

Use Open to open a document file stored on your computer.

Tip: You can open more than one file at a time by pressing the Ctrl key as you select additional files in the Open window. You can also open a range of files by pressing the Shift key to select the last file in a range.

Tip: Advanced setting Default Open Filter Index can be used to set the default folder used by Open.

Open a Recent File or Folder

Main menu: | File > Recent Files
Compact layout: | Recent Files
Classic layout: | File Tools Panel > Recent Files

Jarte maintains a Recent Files list of your ten most recently opened document files. Selecting a file from the list immediately reopens that file.

Jarte also maintains a list of the ten most recently accessed folders. Selecting a folder from the list displays the Open window directly to that folder.

The Recent Files list also includes option Always Reopen Last Session. When you start Jarte, the option directs Jarte to automatically reopen whatever files were open when you last exited the program. In addition, the insertion point will automatically be moved to the first bookmark in the file if a bookmark is present. This can be a handy way to pick up your previous editing session exactly where you left off.

Use Clear List to remove all files and folders from the Recent Files list.

Jarte Plus allows you to easily open all of the files in a folder by pressing the Shift key when you select a folder from the Recent Files list.

Open a Favorite File or Folder

Main menu: | File > Favorite Files
Compact layout: | Favorite Files
Classic layout: | File Tools Panel > Favorite Files

Jarte provides instant access to any files or folders you designate as favorites in the Favorite Files list. A file is designated as a favorite by checking the Favorite File check box when the file is open in the currently active tab. A folder is designated as a favorite by checking the Favorite Folder check box when any file from that folder is open in the currently active tab.

The Favorite Files list can be reorganized at any time by using Organize to display the Organize Favorites window. The window allows file and folder entries in the Favorite Files list to added, deleted, and reordered.

Clear List can be used to remove all of the files and folders from the Favorite Files list.

Jarte Plus allows you to easily open all of the files in a folder by pressing the Shift key when you select a folder from the Favorite Files list.

Open a Favorite File at Startup

Jarte will automatically open a file when Jarte starts if the file has been designated for that treatment using option Open This File at Startup. Check the option's check box when the file to be automatically opened is open in the currently active tab.

Close a File

Main menu: | File > Close/Close All/Close and Delete
Compact layout: | File > Close/Close All/Close and Delete
Classic layout: | File Tools Panel > Close/Close All/Close and Delete

Close closes the file in the active tab. Close All closes all open files.

Close and Delete closes the file in the active tab and then deletes it to the Windows Recycle Bin. If Close and Delete is selected while pressing the Shift key Jarte will permanently delete the file (i.e., the file will not be sent to the Recycle Bin).

Tip: A "Do you want to save?" prompt is displayed whenever you close a file with unsaved changes. Multiple prompts may be displayed when performing a Close All or when exiting the Jarte program. If the Shift key is pressed when answering "Yes" or "No" then the answer will automatically be applied to any remaining prompts.


Saving and Exporting Files

Saving Files

Main menu: | File > Save/Save As/Save Other > Save All
Compact layout: | File > Save/Save As/Save Other > Save All
Classic layout: | File Tools Panel > Save/Save As/Save All

Save saves changes made to the document in the current tab to its associated file. If the document has no associated file a Save window is displayed so a file name and location can be chosen. Save is disabled if the current document contains no unsaved modifications.

Documents can be saved using a number of different file formats. See the section on file formats to learn more about which format is best suited for your document.

Save As allows a document to be saved with a different file name, location, or file format.

Save All saves any changes made to any of Jarte's open files.

Document changes can also be saved by clicking the Unsaved Changes Indicator in Jarte's status bar.

Tip: Advanced setting Default Save Filter Index can be used to set the default folder used by Save.

Auto Save

Main menu: | File > File Options > Auto Save
Compact layout: | File > File Options > Auto Save
Classic layout: | File Tools Panel > Options > Auto Save

Auto Save automatically saves changes to open files on a periodic basis. This limits the loss of any work done to an open file if a computer crash occurs while editing the file. Note that a new document can not be auto saved until after it has been manually saved to a file for the first time.

Document Backups

Main menu: | File > File Options > Create Document Backups File > File Options > Explore Document Backup Folder
Compact layout: | File > File Options > Create Document Backups File > File Options > Explore Document Backup Folder
Classic layout: | File Tools Panel > Options > Create Document Backups File Tools Panel > Options > Explore Document Backup Folder

It is a good practice to always keep backup copies of your documents! Jarte creates a backup file the first time an open document is saved during an editing session. The backup file is a copy of what the file looked like before the changes made in the current editing session. The presence of a backup copy guards against accidental loss of work due to a saved mistake made in the most recent editing session.

Jarte keeps all backup files in a special folder created for that purpose. The backup folder can be accessed at any time using Explore Document Backup Folder.

Tip: It is also a good practice a keep another backup copy of your important documents on a separate storage device than the one used for the original file. For example, if your documents are stored on your computer's primary hard drive then it is desirable to store a separate copy of those documents on a different hard drive or on a USB flash drive. This practice guards against the loss of files due to a failure of your primary storage device.

Saving Files to a Favorite Folder

Main menu: | File > Save Other
Compact layout: | File > Save Other
Classic layout: | File Tools Panel > Save As

Jarte makes it convenient to save files to favorite folders by presenting a list of your favorite folders in the Save Other submenu. Selecting a favorite folder from the Save Other menu displays the Save As window open to the specified folder.

Saving a File as a Template

See Working with Templates.

Export as PDF

Main menu: | File > Save Other > Export as PDF
Compact layout: | File > Save Other > Export as PDF
Classic layout: | File Tools Panel > Save As > Export as PDF

Export as PDF exports the current document to a PDF file. Jarte does not perform the PDF export itself. Export as PDF simply makes use of whatever PDF software program you have installed on your computer for this purpose. If you do not already have a PDF program installed on your computer then you may be interested in this recommended PDF program.

Tip: If Jarte does not automatically recognize your installed PDF software, or if there is a conflict between multiple PDF programs, then advanced setting PDF Printer Name can be used to resolve the problem.

Export as HTML

Main menu: | File > Save Other > Export as HTML
Compact layout: | File > Save Other > Export as HTML
Classic layout: | File Tools Panel > Save As > Export as HTML

Export as HTML exports the current document to an HTML file.


Working with Templates

What is a Template?

A template is a special document meant to be used as a starting point for creating new documents. For example, a business letter template might include company address, company logo, the current date, salutation, and signature. When you open a template file you are actually starting a new document with content already in place. After opening a business letter template you would only need to add the letter body and any recipient information.

A number of ready made templates such as envelopes and label sheets can be found on the Jarte templates page.

Creating Templates

Main menu: | File > Save Other > Save As Template
Compact layout: | File > Save Other > Save As Template
Classic layout: | File Tools Panel > Save As Template

Templates are created just as you would create any other file. The only difference is a document that is intended to be a template must be saved using Save As Template. The resulting template file can be saved using any file format since Jarte does not need a special file format for templates.

Save As Template defaults to saving templates in Jarte's Templates folder. However, you can save a template to any folder you wish.

Using Dates in a Template

Main menu: | Insert > Insert Date
Compact layout: | Insert > Insert Date
Classic layout: | Insert > Insert Date

If a template document contains a date created by using Insert Date then the date will always appear as the current date whenever the template is used to start a new document. This is useful for use in templates such as letters where the appearance of the current date is often desirable.

If a static date is desired in a template then the date should be entered manually via the keyboard rather than by using Insert Date. A static date will always be the same each time the template is used to start a new document.

Modifying Templates

Main menu: | File > Save Other > Save As Template
Compact layout: | File > Save Other > Save As Template
Classic layout: | File Tools Panel > Save As Template

A template can be modified by opening and editing it just as you would any other file. However, you can not save the changes using Save because the template opens as a new document. Instead, you must save the template changes using Save As Template to save document back to the original template file name and location.

Creating Documents from Templates

Main menu: | File > Favorite Files > Templates
Compact layout: | Favorite Files > Templates
Classic layout: | File Tools Panel > Favorite Files > Templates

A new document can be started from a template simply by opening the desired template. Jarte includes its Templates folder in the Favorite Files list by default. If you keep your templates in the Templates folder then a document can be started from a template by selecting the Templates folder in Favorite Files list and then selecting the desired template.


Working with Tables

Main menu: | File > Insert > Insert/Edit Table
Compact layout: | File > Insert > Insert/Edit Table
Classic layout: | Insert > Insert/Edit Table

Whenever a table is to be modified the document's insertion point must first be moved to a position within the table (i.e., click the mouse anywhere inside the table). The Insert Table menu item becomes Edit Table when the insertion point is inside a table.

Creating a Table

New tables are created using Insert Table.

Modifying Rows and Columns

Rows and columns can be easily added and removed using Edit Table.

The width of a column can be changed by grabbing the right edge of the column with the mouse and dragging the edge until the desired column width is obtained. When the mouse is moved over a column's right edge the mouse cursor changes to [image] to indicate the mouse is in position to grab the edge by pressing the left mouse button. Note: The column width can not be changed unless the document's insertion point is within the table.

Table Colors

Both the table background color and table border color can be changed as desired. The first row can have different background and border color from the rest of the table to better distinguish it as a table header row.

A table's border can effectively be made invisible by changing its color to white.

Table Sorting

A table's rows can be sorted based on the text of any chosen column in the table. Table rows can be sorted in ascending or descending order. If the Header row is present check box is checked then the first row of the table is excluded from sorting so that it remains as the top row in the table.


Creating Outlines

Auto Outline

Main menu: | Format > Paragraph > Auto Outline
Compact layout: | Paragraph > Auto Outline
Classic layout: | Paragraph Tools Panel > Auto Outline

Auto Outline is an exclusive Jarte Plus feature that allows you to create perfect outlines with minimal effort. Jarte automatically maintains proper outline numbering for outline entries (i.e., paragraphs) when the Auto Outline feature is activated. Both Roman and Arabic outline numbering schemes are available, as shown here:

Outline numbering is based on the indentation level of the outline's entries. Use Jarte's Increase Indent and Decrease Indent features to change an outline entry's outline level. The outline level can also be changed using the Tab and Backspace keys if the insertion point is placed at the beginning of an outline entry. Auto Outline maintains proper outline numbering throughout your outline as you add and delete entries anywhere within the outline. Proper outline numbering is also maintained as you change the outline level of existing entries anywhere within the outline.

An outline can be ended by pressing the Enter key twice.

Unnumbered Outline Paragraphs

Main menu: | Format > Paragraph > Auto Outline Settings > Unnumbered Paragraph
Compact layout: | Paragraph > Auto Outline Settings > Unnumbered Paragraph
Classic layout: | Paragraph Tools Panel > Auto Outline > Unnumbered Paragraph

Occasionally, it may be necessary to split a single outline entry into more than one paragraph. Only the first paragraph of the outline entry should be numbered in this case. For example:

Notice the two unnumbered paragraphs in the outline do not interrupt or upset the outline's numbering. This effect is achieved by applying the Unnumbered Paragraph setting to the desired paragraphs.


Printing and Page Setup

Printing

Main menu: | File > Print
Compact layout: | File > Print
Classic layout: | File Tools Panel > Print > Print

Print displays the Print and Page Setup window used for printing documents. Print is disabled if Jarte can not find a printer on the computer or if Jarte detects an error while trying to establish contact with the default printer. In these situations Jarte displays an appropriate message in its status bar concerning printer status. Click the printer status in the status bar for more information.

Jarte depends on information from the printer to properly update the status bar's page count and to display page break indicators in a document. If your computer does not have a printer you can still set one up using Add Printer in the Control Panel > Printers window. The physical printer does not actually have to exist in order for Jarte's print related functions to be enabled. Another solution is to install a free PDF printer utility such as PrimoPDF. PDF printer utilities appear as a printer on your computer when installed even though they are not associated with a physical printer. Their purpose is to provide a means of converting documents to PDF files.

Quick Print

Main menu: | File > Quick Print
Compact layout: | File > Quick Print
Classic layout: | File Tools Panel > Print > Quick Print

Quick Print bypasses the Print and Page Setup window and immediately prints the current document using the current page setup and printer settings.

Print Preview

Main menu: | File > Print Preview
Compact layout: | File > Print Preview
Classic layout: | File Tools Panel > Print > Print Preview

Print Preview displays the Print Preview window which provides a representation of what the current document will look like when printed.

Page Setup

Main menu: | File > Page Setup
Compact layout: | File > Page Setup
Classic layout: | File Tools Panel > Print > Page Setup

Page Setup is similar to Print in that it displays the Print and Page Setup window. The difference is that Page Setup opens the window to its Page Margins tab.


Print Settings

Main menu: | File > Print > General
Compact layout: | File > Print > General
Classic layout: | File Tools Panel > Print > Print > General

General Tab Page Margins Tab Header & Footer Tab

The Print and Page Setup window provides control over the printing of a document. Click the Printer Properties button to access additional settings, such as paper size, paper bin selection, etc.

Main Buttons and Tabs

General: The panel of general printer settings.

Page Margins: The panel used to set document page margins.

Header & Footer: The panel used to define a document's header and footer lines.

Print: Prints the currently active document to the selected printer.

Preview: Displays the Print Preview window showing the current document.

OK: Accepts any settings changes and closes the window, but does not print the document. This is useful if, for example, you want to change the document's page margins but you are not ready to print the document yet.

Cancel: Discards any settings changes and closes the window.

Copies

Number of copies: The number document copies to be printed.

Collate: If checked, all pages of the first copy are printed first, followed by all pages of the second copy, and so on. If not checked, all copies of the first page are printed first, followed by all copies of the second page, and so on. This setting is only enabled when more than copy is requested.

Printer

Select the desired printer from the list of available printers. Printers are configured in the Printers section of the Windows Control Panel.

Printer Settings: Displays the printer settings window associated with the selected printer. The desired paper size, among other settings, can be selected in the printer settings window. Note that the content and format of the printer settings window is dependent on the printer selected.

Print Range

Print all pages: Indicates all of the pages in the current document are to be printed.

Print current page: Indicates only the current page in the current document is to be printed (i.e., the page currently containing the insertion point).

Print pages: Indicates the specified range of pages is to be printed.

Print selection: Indicates only the currently selected text in the current document is to be printed. This setting is disabled if no text is currently selected.

Options

Portrait: Indicates the document is to be printed with the paper in its normal orientation.

Landscape: Indicates the document is to be printed with the paper turned 90° from its normal orientation.

Print pages in reverse order: Indicates the document is to be printed beginning with the last page and ending with the first page. Use of this setting results in the pages being dispensed from the printer in their proper order on some printers.

Print odd pages only: Indicates only the odd pages from the specified print range are to be printed. This setting, together with the Print even pages only setting, allows you to perform double sided printing on printers that are only capable of single sided printing. Double sided printing is accomplished in two passes by first printing only the odd pages. Load the printed pages back into the printer such that the printer will print on the blank side of the pages. Then print only the even pages of the document in the second pass. The result is a double sided printout of the document.

Print even pages only: Indicates only the even pages from the specified print range are to be printed. See the description above of Print odd pages only for more information.


Page Margins

Main menu: | File > Print > Page Margins
Compact layout: | File > Print > Page Margins
Classic layout: | File Tools Panel > Print > Print > Page Margins

General Tab Page Margins Tab Header & Footer Tab

The page margin settings provide control over the size of a document's page margins when printed. Use Print Preview to see a document's page margins before printing.

Page Margin Settings

Equal Margins: Changing any of the four margin values will change the other three margins to the same value when this setting is selected.

Top: Size of the top page margin.

Left: Size of the left side page margin.

Right: Size of the right side page margin.

Bottom: Size of the bottom page margin.

Set Default: Saves the selected page margin sizes as the defaults to be used for all new documents.

Metric: Determines whether the units of measure used for the page margins are expressed in centimeters or inches. This setting also affects the units of measure used for Jarte's ruler.


Creating Header and Footer Lines

Main menu: | File > Print > Header & Footer
Compact layout: | File > Print > Header & Footer
Classic layout: | File Tools Panel > Print > Print > Header & Footer

General Tab Page Margins Tab Header & Footer Tab

Jarte's header and footer designer allows the creation of header and footer lines that appear on the printed pages of a document. There are definable left side, middle, and right side elements in both the header and footer lines. Each element defaults to being blank. An element can be changed by selecting it with the mouse and then using the element type tabs to define the element as desired.

Note: When the Header & Footer panel is first displayed most of its controls are disabled. Enable the controls by checking the Print header and footer check box.

Header and Footer Element Types

Blank

This is the default element type. Blank header and footer elements simply appear as empty white space in the header and footer lines.

Page Number

Prints the appropriate page number for each page of the document.

Use Roman numerals: Determines whether the page numbers are printed as lower case Roman numerals rather than the standard Arabic numerals. Roman numeral numbering is limited to 50 pages (Arabic page numbering is unlimited). This setting is only available in Jarte Plus.

Starting page number: Allows page numbering to begin with a number other than 1.

Use "Page" prefix: Determines whether the word "Page" is prefixed to each page number. Otherwise, just the page number itself is printed.

p: This button allows the word "Page", used in setting Use "Page" prefix, to be redefined. This is useful when printing non-English documents where the word "Page" needs to be replaced by its non-English equivalent.

Use "of" total: Prints both the current page number and the total number of pages on each page (e.g. "5 of 20" is printed on the fifth page of a twenty page document).

o: This button allows the word "of", used in setting Use "of" total, to be redefined. This is useful when printing non-English documents where the word "of" needs to be replaced by its non-English equivalent.

Date

Prints a date. If a static date is desired then the "Text" element should be used instead.

Use current date: The date used is the date the document is printed.

Use file date: The date used is the date the document was last modified.

Long format: The date is printed using the long date format typically used in your locale (e.g., "January 30, 2007" in the United States).

Short format: The date is printed using the short date format typically used in your locale (e.g., "1/30/2007" in the United States).

File Name

Prints the document's file name.

Include file extension: Determines whether the document's file name extension is printed as part of the file name (e.g., "Gettysburg Address.rtf" as opposed to "Gettysburg Address").

Text

Prints any user defined text.

Header and Footer Controls

Print header and footer: Controls whether the header and footer lines defined for the document are actually printed in the document's printouts.

Suppress header: Prevents the header line from being printed on the specified number of pages of the document's printout beginning with the first page.

Suppress footer: Prevents the footer line from being printed on the specified number of pages of the document's printout beginning with the first page.

Header Margin: Controls the distance between the top of the page and the header line.

Footer margin: Controls the distance between the bottom of the page and the footer line.

Font: Controls the font attributes used to print the header and footer lines.

Default: Saves the currently defined header and footer lines as the default to be used for all new documents.


Print Preview

Main menu: | File > Print Preview
Compact layout: | File > Print Preview
Classic layout: | File Tools Panel > Preview

Print Preview is used to display the current document as it would appear when printed. The main difference between the Print Preview window and the document as it is shown in Jarte's editing pane is that the Print Preview window shows the page margins and the header and footer lines, if those are defined.

The Print Preview window contains controls for navigating the document's pages and for zooming (i.e., magnifying) the document. The Double Page Layout check box at the bottom of the Print Preview window is used to show two pages at once in the Print Preview window.

The Print Preview window also contains a Print button which can be used to print the current document directly from the Print Preview window.


Font Formatting

Font Attributes

Main menu: | Format > Font
Compact layout: | Font
Classic layout: | Font Tools Panel

Jarte font formatting allows you to choose any installed font and to control a font's size, style, and color. The available font styles are bold, italic, underline, strikeout, subscript, and superscript.

Note that only the font and font size can be changed when editing plain text documents. Even then, the choice of font and font size is only used for display purposes. This limitation exists because plain text documents are not capable of recording font and paragraph formatting information.

Highlight Marker

Main menu: | Format > Font > Highlight Marker
Compact layout: | Font > Highlight Marker
Classic layout: | Font Tools Panel > Highlight

The Highlight Marker is used to highlight text with a colored marker. After choosing the desired color the mouse cursor changes to [image] to indicate Jarte is in Highlight Marker mode. Use the mouse to select the text to be highlighted and its background color is changed to the chosen color. If you want to highlight individual words you can simply single click the words to be highlighted. Highlight Marker mode is ended when either the Esc key is pressed, End Highlight Marker is selected from the Font menu, or you begin editing the document.

An easy way to repeat use of the Highlight Marker's previously used color is to use the Format Brush's Repeat Previous Brush feature. For example, if your most recent use of the Highlight Marker in the current editing session was to perform yellow highlighting, then pressing Ctrl+G instantly reestablishes the yellow Highlight Marker additional use.

Default Fonts

Main menu: | Format > Font > Font Options > Set Default Fonts
Compact layout: | Font > Font Options > Set Default Fonts
Classic layout: | Font Tools Panel > Options > Set Default Fonts

Rich Text Default Font

The rich text default font setting determines the font and font attributes to be used for all new rich text documents. Setting the rich text default font has no impact on existing documents.

Plain Text Default Font

The plain text default font setting determines the font and font attributes to be used for displaying all plain text documents.

Factory Default Font Settings

Resets the rich text default font and the plain text default font back to their original factory settings.

Favorite and Recent Fonts

Main menu: | Format > Font > Favorite & Recent Fonts
Compact layout: | Font > Favorite & Recent Fonts
Classic layout: | Font Tools Panel

Jarte provides quick access to your favorite fonts and recently used fonts. In Jarte's classic layout, favorite and recent fonts are listed in blue at the top of the fonts list in the Font Tools panel. Favorite fonts are designated with a green check mark. To designate a font as a favorite font it must be first be chosen as the current font, and then check the Mark as a Favorite Font check box.

Font Manager

Main menu: | Format > Font > Font Manager
Compact layout: | Font > Font Manager
Classic layout: | Font Tools Panel

A font manager is useful for organizing fonts in a way that makes it easy for you to choose the font you need for a particular task.

Jarte's Font Manager feature is actually a shortcut to an external font manager program. Jarte looks for the installation of Moon Software's Font Xplorer font manager by default. If Font Xplorer is not installed then you are given the opportunity to specify your own installed font manager program instead. You can switch Jarte's Font Manager feature to a different font manager program at any time by selecting Font Manager while pressing the Shift key.

Format Brush

See Using the Format Brush.


Paragraph Formatting

Paragraph Attributes

Main menu: | Format > Paragraph
Compact layout: | Paragraph
Classic layout: | Paragraph Tools Panel

Paragraph Alignment

Main menu: | Format > Paragraph > Center, More Paragraph Alignments
Compact layout: | Paragraph > Center, More Paragraph Alignments
Classic layout: | Paragraph Tools Panel > Alignment

Jarte supports left, center, right, and justified paragraph alignments.

Paragraph Styles

Main menu: | Format > Paragraph > Bullets, More Paragraph Styles
Compact layout: | Paragraph > Bullets, More Paragraph Styles
Classic layout: | Paragraph Tools Panel > Styles

Jarte supports normal, bullet, numbered list, first line indent, and hanging indent paragraph styles.

Paragraph Indentation

Main menu: | Format > Paragraph > Increase, Decrease, More Indentation
Compact layout: | Paragraph > Increase, Decrease, More Indentation
Classic layout: | Paragraph Tools Panel > Indent (4 different buttons)

Jarte supports left side paragraph indentation as well as left and right side paragraph indentation.

Line Spacing

Main menu: | Format > Paragraph > Line Spacing
Compact layout: | Paragraph > Line Spacing
Classic layout: | Paragraph Tools Panel > Line Spacing

Jarte supports line space values of 1 (single space), 1.15, 1.5, 2 (double space), 2.5, and 3 (triple space). Line space value 1.15 is a value designed to increase the paragraph readability, compared to single space, without creating too much distance between lines.

Paragraph Spacing

Main menu: | Format > Paragraph > Add Spacing Between Paragraphs
Compact layout: | Paragraph > Add Spacing Between Paragraphs
Classic layout: | Paragraph Tools Panel > Paragraph Spacing

Jarte supports paragraph spacing before and after each paragraph. Use of paragraph spacing tends to give a document a neater appearance and make it more readable.

Tab Settings

Main menu: | Format > Paragraph > Tab Settings
Compact layout: | Paragraph > Tab Settings
Classic layout: | Ruler

See Tab Settings in the Ruler section for information about setting tabs.

Format Brush

See Using the Format Brush.

Indentation Size Settings

Main menu: | Format > Paragraph > Paragraph Options > Indentation Size Settings
Compact layout: | Paragraph > Paragraph Options > Indentation Size Settings
Classic layout: | Paragraph Tools Panel > Paragraph Options > Indentation Size Settings

The Indentation Size Settings specify the amount of indentation used for paragraph indentation, hanging indent indentation, first line indent indentation, and list (bullets and numbered list) indentation. A change to these settings only affects paragraphs when their style is changed. A change to these settings applies to all documents.

Default Paragraph Settings

Main menu: | Format > Paragraph > Paragraph Options > Default Setting
Compact layout: | Paragraph > Paragraph Options > Default Setting
Classic layout: | Paragraph Tools Panel > Paragraph Options > Default Setting

Use Default to Current Settings to make the paragraph format attributes of the paragraph that currently contains the insertion point the default paragraph format attributes to be subsequently used for all new documents.

Use Default to Factory Settings to reset the default paragraph format attributes used for all new documents back to the factory default paragraph format attributes.


Using Bookmarks

Setting and Removing Bookmarks

Jarte provides an easy to use bookmarking system. Bookmarks are set simply by clicking in the bookmark gutter (along the left side of Jarte's editing pane) next to the line of text to be bookmarked. A bookmark symbol [image] appears in the bookmark gutter to designate the bookmarked line. Click a bookmark to remove it. Bookmarks can also be set and removed using keyboard shortcuts Ctrl+F2 and Shift+Ctrl+F2, respectively.

Bookmarks in a rich text document are stored as part of the document (i.e., changes to a document's bookmarks are retained only if the document is subsequently saved). Bookmarks in a plain text document can not be saved as part of the document. However, Jarte remembers bookmarks in a plain text document as long as the document is either in Jarte's list of recent files or in the list of favorite files.

Navigating Between Bookmarks

Two bookmark buttons appear at the bottom of the bookmark gutter whenever bookmarks are present in the document. Click the buttons to move the insertion point to the next, or previous, bookmark. If either of the bookmarks is disabled then there are no bookmarks to move to in that direction. You can also use the F2 key to move to the next bookmark and Shift+F2 to move to the previous bookmark. Other bookmark navigation choices (i.e., go to first bookmark or last bookmark) can be accessed by right clicking in the bookmark gutter.

Automatically Open Document to Bookmark

Documents opened using the Always Reopen Last Session feature will automatically navigate to the document's first bookmark when opened, if a bookmark is present.

Advanced setting Open to Bookmark can be used to direct Jarte to always navigate to a document's first (or last) bookmark whenever any document containing at least one bookmark is opened.


Using the Format Brush

Main menu: | Format > Font > Format Brush
Compact layout: | Font > Format Brush
Classic layout: | Font Tools Panel > Format Brush

and

Main menu: | Format > Paragraph > Format Brush
Compact layout: | Paragraph > Format Brush
Classic layout: | Paragraph Tools Panel > Format Brush

The Format Brush is a special tool used to quickly and easily apply font and/or paragraph formatting within a document. For example, suppose you have written a manuscript that includes chapter headings for each chapter. But the chapter headings use the same font size as the rest of the text, and you have decide you would rather the chapter headings have a larger font size and underlining. The Format Brush makes this task less tedious by using these steps:

1. Modify the first chapter heading as desired (i.e., increase font and underline).
2. Position the insertion point within the chapter heading and then select the Format Brush (Continuous) tool. The cursor will change to a [image].
3. Highlight the remaining chapter headings with the Format Brush one at a time. As you do so each chapter heading will instantly change to look like the first chapter heading.
4. Press the Esc key when you are finished.

Brush Type

One Shot - Jarte exits its Format Brush mode (i.e., the mouse cursor returns to a normal pointer) after the brush's first use.

Continuous - Jarte stays in Format Brush mode until either the Esc key is pressed, Format Brush (One Shot) is selected, or you begin editing the document.

Note that single clicking an individual word with the Format Brush formats that word. Selecting (highlighting) text with the Format Brush formats the selected text.

Brush Settings

Font Formatting Only - The Format Brush only applies font formatting characteristics to the text the brush is used on.

Paragraph Formatting Only - The Format Brush only applies paragraph formatting characteristics to the text the brush is used on.

Font and Paragraph Formatting - The Format Brush only applies both font and paragraph formatting characteristics to the text the brush is used on.

Repeat Brush

The Format Brush can be quickly reestablished with the formatting characteristics from its previous use by using feature Repeat Previous Brush. Note that Repeat Previous Brush works with the highlight marker as well.


Using the Windows Clipboard

The Windows Clipboard

The Windows clipboard provides the user with a useful means of facilitating the transfer of pieces of information between programs. Many programs implement the basic clipboard functions Cut, Copy, and Paste that make information transfer possible. For example, suppose you find an interesting article on the web and you want to copy a paragraph from the article to your word processor. This can be done by using the mouse to highlight the paragraph text in the web browser and then selecting the browser program's Copy function (normally found at in the menu at Edit > Copy). Next, switch to the word processor program and select its Paste function. The highlighted text from the web article now appears in the word processor program.

The Windows clipboard works with many types of information, not just text. For example, if you see a picture you like on the web you can right click on the picture in the web browser and select Copy. The picture can then pasted into a word processor, a picture editor, a picture organizer, etc.

Copy

Main menu: | Edit > Copy
Compact layout: | Edit > Copy
Classic layout: | Copy

Copies whatever document content is currently highlighted to the Windows clipboard. Copy is disabled when nothing is highlighted in the document.

Copy can also be performed by clicking the mouse's middle button (i.e., the scroll wheel button) while pressing the Ctrl key if option Middle Mouse Button Paste is enabled.

Also, the Manage Tabs submenu of the Tabs menu includes special functions for copying the current document's file name to the clipboard.

Copy All

Main menu: | Edit > Copy All
Compact layout: | Edit > Copy All
Classic layout: | Right click context menu > Copy All

Copies the entire document to the Windows clipboard in a single step. Copy All is the equivalent of Select All followed by Copy.

Cut

Main menu: | Edit > Cut
Compact layout: | Edit > Cut
Classic layout: | Main Control Panel > Cut

Cut is exactly the same as Copy except the document's highlighted content is deleted as part of the operation. Cut is disabled when nothing is highlighted in the document.

Cut can also be performed by clicking the mouse's middle button (i.e., the scroll wheel button) while pressing the Shift and Ctrl keys if option Middle Mouse Button Paste is enabled.

Paste

Main menu: | Edit > Paste
Compact layout: | Edit > Paste
Classic layout: | Main Control Panel > Paste

Paste inserts a copy of whatever information is currently stored on the Windows clipboard into the current document.

When text is pasted it will normally include any text formatting (e.g., bold, italics, font, etc) that is part of the text in the source that was copied. However, in some cases the text formatting will appear somewhat different when pasted into Jarte than it appears in the source. When that occurs it is normally because the source program did not accurately copy the text formatting information to the clipboard along with the text.

Paste can also be performed by clicking the mouse's middle button (i.e., the scroll wheel button) if option Middle Mouse Button Paste is enabled.

Paste Plain

Main menu: | Edit > Paste Plain
Compact layout: | Edit > Paste Plain
Classic layout: | Main Control Panel > Paste Plain

Paste Plain is the same as Paste except it only works when text is present on the Windows clipboard (e.g., it does not work if a picture is has been copied to the clipboard). In addition, any text formatting (e.g., bold, italics, font, etc) is stripped away before the text is inserted into Jarte. For example, if the line:

Jarte is my favorite word processor!

is copied to the clipboard, then inserting the line with Paste Plain will cause the line to appear as:

Jarte is my favorite word processor!

Notice the text of the inserted line is exactly the same as the source line, but all of the text formatting has been stripped away. Paste Plain is very useful in situations where the text formatting present in the source text is incompatible with the existing text formatting in your document.

Paste Plain can also be performed by clicking the mouse's middle button (i.e., the scroll wheel button) while pressing the Shift key if option Middle Mouse Button Paste is enabled.


Using the Clip List

Main menu: | Tools > Clip List
Compact layout: | Clip List
Classic layout: | Clip List

The Clip List

Jarte's Clip List is a history of the last 15 Windows clipboard clips that have been copied to the clipboard by any program while Jarte has been running. The top item in the Clip List represents the current content of the Windows clipboard. The Clip List allows you to copy a previous clipboard clip back to the clipboard so it is ready to be pasted by Jarte or any other program.

A previous clip can be copied back to the clipboard simply by selecting it from the Clip List menu. A previous clip can be pasted directly into Jarte by selecting it from the Clip List menu while pressing the Shift key.

The Clip List menu shows the beginning text of each clip that includes text content. There is also an menu icon displayed for each clip to indicate the clip type. The following legend explains the Clip List menu icons:

- Rich text clip

- Plain text clip

- Image clip

- Sound clip

- Folder clip

- Unknown clip type

- Empty clipboard or ignored clip

Saved Clips

The Saved Clips submenu is a list of clips saved using Save Current Clip. The free version of Jarte retains saved clips only during the current Jarte session. Jarte Plus maintains saved clips permanently, or until they are deleted from the Saved Clips list. Saved Clips are useful for keeping pieces of text or images you use often in your documents.

Screen Capture

The Screen Capture feature is used to copy a snapshot of a portion of the computer screen to the Windows clipboard. When Screen Capture is activated Jarte automatically minimizes itself to the Windows taskbar so that it does not obscure the screen while you take the snapshot.

The mouse cursor changes to a cross hair while Jarte is in Screen Capture mode. Click the mouse button anywhere on the screen to begin. Move the mouse across the screen until the rectangular frame formed by the mouse includes the portion of the screen you wish to capture. Now, click the mouse again to complete the capture. Jarte will reappear and the portion of the screen you captured is copied to the clipboard ready to be pasted.

The position of mouse's cross hair cursor while in Screen Capture mode can be precisely controlled using the keyboard. The arrow keys move the cross hair a single pixel at a time. In addition, the Enter key can be substituted for either the beginning or ending mouse click.

Note that Windows provides simple screen capture capability as well: Press the PrtScn key to copy a snapshot of the entire screen to the clipboard. Press Alt+PrtScn to copy a snapshot of the window with focus to the clipboard.

Clip List Manager

See Clip List Manager.


Clip List Manager

Main menu: | Tools > Clip List > Clip List Manager
Compact layout: | Clip List > Clip List Manager
Classic layout: | Clip List > Clip List Manager

Current Clips

The Current Clips tab in the Clip List Manager lists the most recent clip history of the Windows clipboard. Selecting a clip in the list displays the content of the clip in the right side clip viewer.

The Save button copies the selected clip to the Saved Clips list where it is permanently stored (Jarte Plus only). The Clear button allows you to clear the current clipboard contents, clear the Current Clips history list, or both. The Copy button allows you to either copy the selected clip to the Windows clipboard, or both copy the clip and paste it into the current document. Note that the Copy button is disabled when the first clip is selected since that clip is already on the Windows Clipboard. Double clicking a clip in the Current Clips list copies the clip to the clipboard.

See Screen Capture for information about the Capture button.

Saved Clips

The Saved Clips tab in the Clip List Manager lists clips that have been previously saved. Selecting a clip in the list displays the content of the clip in the right side clip viewer.

The Plain button is used to convert a rich text clip into a plain text clip. This is useful for clips whose formatting characteristics should conform to those of the document the clip is being pasted into.

The Remove button deletes the selected clip from the Saved Clips list. The Clear button deletes all of the Saved Clips at once. The order of the Saved Clips can be changed through use of the Up and Down buttons.

Options

The Options button provides access to the following options:

Stay On Top - Prevents the Clip List Manager window from being obscured by the Jarte program window by keeping it in front of the program window.

Always Paste Selected Clips - When this option is turned on actions that would normally copy the selected clip to the Windows clipboard (i.e., selecting clip from Clip List menu, double clicking clip in Clip List manager, or using the Clip List Manager's Copy button) will also cause the clip to be pasted into the current document.


Using Spell Check

Spell Check

Spell checking is used to check the spelling of the current document. Spell checking will limit itself to checking only the selected text in the current document if a text selection has been made.

Jarte provides three different methods of document spell checking. If Jarte's left side tool panel is displayed then spell checking is performed using the Spell Check tool panel. If Jarte's left side tool panel is not displayed then menu based spell checking is used.

Background spell checking (aka, spell checking as you type) is available in Jarte Plus.

Spell Check Options

Main menu: | Tools > Spell Check Options
Compact layout: | Edit > Spell Check Options
Classic layout: | Spell Check Panel > Options

Ignore Words in UPPERCASE - Prevents Spell Check from flagging words consisting of all uppercase letters.

Ignore Words With Numbers - Prevents Spell Check from flagging words which contain at least one digit.

Ignore HTML Tags - Prevents Spell Check from flagging words within the tags of HTML and PHP web documents.


Menu Based Spell Check

Main menu: | Tools > Spell Check
Compact layout: | Edit > Spell Check

Start Spell Check

Invoking Spell Check immediately begins spell checking of the current document or text selection. Spell Check highlights the first misspelled word found in the document and displays a menu of available spell check actions for the word. When the chosen action is performed Spell Check immediately proceeds to the next misspelled word. Spell Check can be stopped simply by dismissing the menu either by choosing Cancel, pressing the Esc key, or clicking in the document.

Correcting a Misspelling

A misspelled word found by Spell Check can be corrected using one of the following methods:

1. Choose the correct spelling from the list of spelling suggestions in the menu. Choose a spelling suggestion from the Change All submenu to change all occurrences of the misspelling to the selected suggestion.

The More menu item redisplays the menu with a more comprehensive list of spelling suggestions.

2. Manually edit the misspelled word within the document. Invoke Spell Check (or press the F7 key) to resume spell checking.
3. Choose Ignore or Ignore All if the word is to be treated as correctly spelled. Ignore All treats all occurrences of that word as correctly spelled for the remainder of the Jarte editing session.
4. Choose Add to add the word to the custom spelling dictionary. Once it has been added to the custom spelling dictionary the word will always be considered correctly spelled for all documents.
5. Choose a spelling suggestion from the Auto Correct submenu. The misspelling is replaced in the document with the selected suggestion and the custom spelling dictionary is updated so that future occurrences of the misspelling will be auto corrected to the chosen spelling if the Auto Correct feature is enabled.


Tool Panel Based Spell Check

Main menu: | Tools > Spell Check
Compact layout: | View > Show Tool Panel > Spell Check Panel > Start
Classic layout: | Spell Check Panel > Start

Start Spell Check

Click the Spell Check panel's Start button to begin checking the current document or text selection. Spell Check highlights the first misspelled word found in the document and also displays it in red in the Spell Check panel. Once started, Spell Check can be ended at any time by clicking the Spell Check panel's Cancel button or by pressing the Esc key.

Correcting a Misspelling

A misspelled word found by Spell Check can be corrected using one of the following methods:

1. Choose the correct spelling from the list of spelling suggestions in the Spell Check panel (or edit the misspelled word in the Spell Check panel) and then click either the Change button or the Change All button to replace the misspelling with the selected spelling suggestion. The Change All button changes all occurrences of the misspelling to the selected correction.

The More Suggestions button adds a more comprehensive list of spelling suggestions to the suggestions list.

2. Manually edit the misspelled word within the document. Click the Spell Check panel's Resume button to resume spell checking.
3. Click Ignore or Ignore All if the word is to be treated as correctly spelled. Ignore All treats all occurrences of that word as correctly spelled for the remainder of the Jarte editing session.
4. Click Add to add the word to the custom spelling dictionary. Once it has been added to the custom spelling dictionary the word will always be considered correctly spelled for all documents.
5. Choose the correct spelling from the list of spelling suggestions in the Spell Check panel and then click the Auto Correct button. The misspelling is replaced in the document with the selected suggestion and the custom spelling dictionary is updated so that future occurrences of the misspelling will be auto corrected to the chosen spelling if the Auto Correct feature is enabled.


Background Spell Check

Main menu: | Tools > Spell Check Options > Background Spell Checking
Compact layout: | Edit > Spell Check Options > Background Spell Checking
Classic layout: | Spell Check Panel > Options > Background Spell Checking

Jarte Plus underlines misspelled words with a wavy red line as you type when Background Spell Checking is turned on. The Background Spell Checking menu can be displayed for a misspelled word by clicking the wavy red line, right clicking the word, or pressing the context menu key while the insertion point is positioned within the word.

The Background Spell Checking menu functions exactly the same as the menu for menu based spell checking.


Auto Correct

Main menu: | Tools > Spell Check Options > Auto Correct
Compact layout: | Edit > Spell Check Options > Auto Correct
Classic layout: | Spell Check Panel > Options > Auto Correct

Jarte Plus' Auto Correct feature allows Jarte Plus to automatically correct common misspellings in a document as you type. Jarte Plus uses a supplementary spell check dictionary of common misspellings to detect and correct common misspellings. Note that normally Auto Correct does not correct most three letter misspellings because they could be correctly spelled acronyms. This behavior can be changed by modifying the value of advanced setting Aggressive Auto Correct.

If you enable the Auto Correct feature and it does not appear to be correcting common misspellings then ensure supplementary spell check dictionary correct.tlx is enabled in the Spelling Dictionaries window. The misspelled word acheive is an example of a word that will be automatically corrected by the Auto Correct feature.

Auto Correct can also be used to create shortcuts for often used words and phrases. For example, if you are a member of the Durham Garden Club, and you often refer to the organization in your writing, then you may find it advantageous to designate "dgc" as a word to be auto corrected to "Durham Garden Club". Creating such shortcuts increases the efficiency of your writing. You can create your own Auto Correct entries in your custom spell check dictionary using the Add Spelling Dictionary Word window.

If you want to take advantage of the ability to use your own Auto Correct shortcuts without allowing Auto Correct to automatically correct common misspellings then disable (uncheck) the correct.tlx supplementary dictionary.


Spell Check Dictionaries

Main menu: | Tools > Spell Check Options > Spelling Dictionaries
Compact layout: | Edit > Spell Check Options > Spelling Dictionaries
Classic layout: | Spell Check Panel > Options > Spelling Dictionaries

The Spelling Dictionaries window allows configuration of the primary and supplemental spell check dictionaries.

Primary Dictionary

Choose a primary spell check dictionary based on the language your documents are written in. Jarte comes with English (American, British, and Canadian), Spanish, French, Dutch, German, and Italian dictionaries. If you do not see all of those choices available then reinstall Jarte and be sure to select the desired dictionaries during the installation steps.

It is possible to use more than one language dictionary by adding them as supplemental dictionaries. See Second Language Dictionary further below.

Dictionaries for other languages can be purchased at Wintertree Software. Additional primary dictionaries must be placed in Jarte's "Spell" program folder (e.g., C:\Program Files\Jarte\Spell).

Supplemental Dictionaries

Spell check uses a primary dictionary and any selected supplemental dictionaries to determine whether a word is correctly spelled. The check box next to each supplemental dictionary determines whether the dictionary is used by the spell check feature. There are four standard supplemental dictionaries. Additional custom dictionaries can be added.

The Standard Dictionaries

The following dictionaries are the standard supplemental spell check dictionaries. These dictionaries can not be deleted (although unchecking them will prevent them from being used by spell check), and, except for default.tlx, the standard dictionaries can not be modified.

default.tlx - This is the default custom spell check dictionary. It is the dictionary to which words are added when using spell check's Add function.

correct.tlx - This dictionary is used by the Auto Correct feature. It associates common misspellings and their corresponding correct spellings.

accent.tlx - This dictionary contains many accented words, such as "attaché", which would normally be flagged as misspellings. Include this dictionary if do not want commonly accented words to be flagged as misspellings.

tech.tlx - This dictionary contains a number of common technical terms or names (mostly computer and Internet related), such as "Bluetooth", that would normally be flagged as misspellings. Include this dictionary when writing a technical document if you want to reduce the number of technical words flagged as misspellings.

Custom Dictionaries

You can create new custom spell check dictionaries as well as add existing dictionaries. Click the New button and enter a dictionary name to add a new, empty dictionary to the supplementary dictionary list.

Existing TLX and DIC dictionary files can be added to the supplementary dictionary list by clicking the Add button and selecting the desired dictionary. Dictionary files can also be added to Jarte simply by dragging and dropping them on to the Jarte program window. Jarte will make its own copy of the dropped dictionary file. Press the Shift key while dropping the dictionary file if you want Jarte to link directly to the dictionary rather than making its own copy.

Microsoft Word custom spell check dictionary files are implemented as DIC files. If you have created a custom spell check dictionary in Word then the dictionary can be added to Jarte as described above.

Custom dictionaries can be deleted from the list using the Delete button. Note that the Delete button does not delete the dictionary file itself, it only removes the dictionary from the Supplemental Dictionaries list. Deleted dictionaries can be added again using the Add button. In most cases, it is sufficient to simply uncheck a dictionary in the dictionary list rather than delete it.

See Editing Custom Dictionaries for information on adding, removing, and modifying entries in a custom spell check dictionary.

Second Language Dictionary

A second language spelling dictionary can be added as a supplemental dictionary. For example, if you primarily write English documents, but often write in Spanish as well, then you might want to add the Spanish spell check dictionary as a supplemental dictionary. This will ensure your words are spell checked against both the English and Spanish dictionaries.

A second language dictionary can be added similarly to the way other supplemental dictionaries are added: Click the Spelling Dictionaries window's Add button and navigate to Jarte's spelling dictionaries folder (e.g., C:\Program Files\Jarte\Spell) and select the desired dictionary. Use the following table to match languages to the available dictionary file names:

Language | Spelling Dictionary File Name
Dutch | sscedu2
English (American) | ssceam2
English (British) | sscebr2
English (Canadian) | ssceca2
French | sscefr2
German | sscege2
Italian | ssceit2
Spanish | sscesp2


Editing Custom Dictionaries

Main menu: | Tools > Spell Check Options > Spelling Dictionaries > Edit
Compact layout: | Edit > Spell Check Options > Spelling Dictionaries > Edit
Classic layout: | Spell Check Panel > Options > Spelling Dictionaries > Edit

The Edit button in the Spelling Dictionaries window displays the window (shown above) used to edit a custom spelling dictionaries entries.

A custom spell check dictionary can have two types of entries: correct spellings and auto correct spellings. Correct spellings appear as a single word. "Google" in the picture above is an example of a correct spelling dictionary entry. When a word is entered in a custom dictionary as a correct spelling it will not be flagged as a misspelling when it appears in a document.

Auto correct spellings appear as a word followed by a "»" character followed by a word or phrase. "elephante » elephant" in the picture above is an example of an auto correct spelling dictionary entry. Auto correct spellings are only used when Auto Correct is enabled. When a word you have typed into your document matches the first word in an auto correct spelling then it is automatically replaced with the word or phrase to the right of the "»". For example, the picture indicates typing the misspelling "elephante" into a document would result in the "elephante" being automatically replaced by "elephant".

Auto correct spelling entries can also be abbreviations used to increase typing speed. For example, in the picture above, the "pp" entry specifies that it is to be auto corrected to "PayPal". Note the word "PayPal" also appears as a correct spelling entry to ensure it is not flagged as a misspelling.

Clicking the Add or Change button causes the Spelling Dictionary Word window to appear which allows a correct spelling or an auto correct spelling to be added or changed in the dictionary. The Delete button deletes the currently selected entry from the dictionary, and the Delete All button is used to delete all entries from the dictionary.


Add Spelling Dictionary Word

Main menu: | Tools > Spell Check Options > Spelling Dictionaries > Edit > Add
Compact layout: | Edit > Spell Check Options > Spelling Dictionaries > Edit > Add
Classic layout: | Spell Check Panel > Options > Spelling Dictionaries > Edit > Add

The Spelling Dictionary Word window is displayed by the Add and Change buttons on the spelling dictionary window. The Spelling Dictionary Word window is used to define a correct spelling entry or an auto correct spelling entry in a custom spell check dictionary.

A correct spelling entry is created by entering the word to treated as correctly spelled in the Word to add field. Then choose the Treat the word as correctly spelled selection and click Ok.

An auto correct spelling entry is created by entering the word to be automatically replaced in the Word to add field. Then choose the Automatically replace selection and enter the replacement word or phrase in the Replacement word or phrase field. Note the word in the Word to add field must be a single word consisting of only letters and digits. The Replacement word or phrase field may be multiple words and include characters that are neither letters nor digits.

Checking the Change casing to match the word being corrected check box allows the letter casing of the replacement word or phrase to be changed to match the casing of the word it replaces in the document. For example, suppose an auto correct spelling of "elephante" is to be replaced by "elephant". If Change casing to match the word being corrected is checked then typing "Elephante" in a document will result in the word being replaced by "Elephant". If Change casing to match the word being corrected is not checked then the replacement word or phrase is always placed in the document exactly as it was entered into the custom dictionary. For our example, typing "Elephante" in a document would result in the word being replaced by "elephant".


Using the Reference Bar

Main menu: | View > Reference Bar
Compact layout: | View > Reference Bar
Classic layout: | Reference

The Reference Bar provides quick access to online references. Access to the Internet is required in order to use the Reference Bar. All reference content is displayed in the default web browser. The exceptions are if you have the WordWeb dictionary or Visual Thesaurus programs installed on your computer, as described further below, then Internet access is not necessary for the Dictionary and Thesaurus features.

Lookup Target - Enter the word to be looked up in the provided field. Note the Reference Bar buttons lookup the word in the provided field if the field has focus. If the document has focus then the reference buttons will lookup whatever word the document's insertion point is currently positioned on.

Dictionary - Looks up the target word on an online dictionary & thesaurus web site. If the WordWeb dictionary & thesaurus PC program is installed on the computer then Jarte will lookup the word in the WordWeb program instead.

Thesaurus - If option Use Visual Thesaurus in the More Links menu is turned on then Jarte will look up the word using the the Visual Thesaurus PC program if it is installed. Otherwise, Jarte will look up the word using the online version of Visual Thesaurus. Visual Thesaurus online is a subscription service, but it can be used for a limited number of free lookups. Jarte works with Visual Thesaurus online both during the free demo period and as a paid subscription.

If option Use Visual Thesaurus is turned off then Jarte will lookup the word in the WordWeb dictionary & thesaurus PC program if it is installed on the computer. Otherwise, Jarte will look up the word on an online dictionary & thesaurus web site.

Encyclopedia - Looks up the target word at the Wikipedia web site.

More Links - Displays a popup menu which provides access to an English grammar web site, a quotations web site, a word-of-the-day web site, and Google. In addition, Jarte Plus includes Edit Links and Edit Buttons menu selections that allow you to redefine the Reference Bar buttons and to add additional links to the More Links menu.


Defining the Reference Bar Buttons

Main menu: | View > Reference Bar > More Links > Edit Buttons
Compact layout: | View > Reference Bar > More Links > Edit Buttons
Classic layout: | Reference > More Links > Edit Buttons

Jarte Plus' Reference Bar dictionary, thesaurus, and encyclopedia buttons can be redefined using Edit Buttons. This capability is best demonstrated with an example. In the following example the dictionary button will be redefined to link to the Merriam-Webster online dictionary web site:

1. Select Dictionary in the Buttons list box. Note the button's name can not be changed.
2. Select User Defined URL. Note that selecting Default URL will cause a redefined Reference Bar button to revert back to its factory default setting.
3. Enter a URL in the URL field. The URL can be either an Internet address or a file address to a program installed on your computer (see below). In our example, an Internet address of www.m-w.com is specified. That is the address of the Merriam-Webster online dictionary web site.
4. Click the Accept button and then the Ok button.

Now, when the dictionary button is clicked the Merriam-Webster web site will appear in the default web browser.

Linking to a Program

Instead of an Internet address, you may specify the file location of any program on your computer in the URL field. In that case, Jarte will run that program when you click the associated Reference Bar button. For example if file URL

C:\Program Files\Cool Dictionary\CoolDict.exe

is specified then clicking the dictionary button will run dictionary program file CoolDict.exe.

Specifying a Link Parameter

A link parameter can be used in the specified URL. Jarte will substitute the word to be looked up for the link parameter before using the URL. The link parameter must appear as <<link parm>> in the URL. For example, the following URL will look up the target word at the Merriam-Webster online dictionary:

http://www.m-w.com/cgi-bin/dictionary?book=Dictionary&va=<<link parm>>

Lets say the word "horse" is typed into the lookup target box. When the dictionary button is clicked Jarte will automatically substitute the word "horse" for "<<link parm>>" as follows:

http://www.m-w.com/cgi-bin/dictionary?book=Dictionary&va=horse

The result is the word "horse" is automatically looked up at the Merriam-Webster web site.

A lot of web sites can be specified in a similar manner. You may come up with some interesting ideas on how to use this feature with a little thought and experimentation.


Adding Reference Bar Menu Links

Main menu: | View > Reference Bar > More Links > Edit Links
Compact layout: | View > Reference Bar > More Links > Edit Links
Classic layout: | Reference > More Links > Edit Links

Jarte Plus' Reference Bar allows menu items in the More Links menu to be added or modified using Edit Links. The following example demonstrates adding a menu item that links to the Library of Congress web site:

1. Select one of the undefined links in the list of links.
2. Enter a name for the new link in the Link Name field. If an ampersand character is used in the name then the character it precedes will be designated as the menu item's shortcut key in the More Links menu.
3. Enter a URL in the URL field. The URL can be either an Internet address or a file address to a program installed on your computer (details). In our example, an Internet address of www.loc.gov is specified. That is the address of the Library of Congress web site. It is also possible to look up the Reference Bar's target word at a specified URL (details).
4. Click the Accept button and then the Ok button.

Now, a "Library of Congress" menu item appears in the Reference Bar's More Links menu.


Find and Replace

Main menu: | Edit > Find, Find Next
Compact layout: | Edit > Find, Find Next
Classic layout: | Find

Find

Find displays the Find Bar which is used to perform text searches within a document. Enter the text you wish to search for in the Find Bar's text field and then click the green Find button. A backward search can be performed by clicking the green button immediately to the left of the Find button.

The LEDs to the right of the Find button indicate the success of a search. The green LED is lit if the specified text was found, and the red LED is lit if the text was not found. If the search was successful then clicking the Find button again will search for the next instance of the text within the document.

The Find Bar's text box contains a drop down list that provides quick access to previous search entries. The ten most recent search entries are retained between Jarte sessions.

See Use Standard Find Dialog if you prefer to use the standard Windows Find dialog instead of the Find Bar.

Go to Top

The Go to Top button is a shortcut that moves the document's insertion point to the top of the document and then gives focus to the Find Bar's text field.

Options

Case Sensitive - Indicates whether the search is case sensitive (i.e., a case sensitive search for "Dog" will find not find "dog").

Whole Words - Indicates whether the search only succeeds for whole words (i.e., a whole word search for "run" will skip past the word "running").

Across All Open Documents - Indicates whether the search will be performed across all of Jarte's currently open documents.

Other Search Related Features

Count Occurrences - Reports the number of times the search text appears in the document. The options listed above are used to perform the count.

Go to Line & Go to Page - See Status Bar.

Bookmarks - See Bookmarks.

Find File - See Find File.

Replace

Main menu: | Edit > Replace
Compact layout: | Edit > Replace
Classic layout: | Main Control Panel > Find > Search > Replace

Replace expands the Find Bar to display additional controls used for performing text replacements. The replacement text field is used to specify the text to replace the text being searched for. The green Replace button finds the next instance of the search text and, if found, replaces it with the specified replacement text. The green All button replaces all instances of the search text with the replacement text. The Find options described above are used for both Find and Replace.

See Use Standard Find Dialog if you prefer to use the standard Windows Find dialog instead of the Find Bar.


Inserting Dates

Inserting Dates and Time

Main menu: | Insert > Insert Date
Compact layout: | Insert > Insert Date
Classic layout: | Edit > Insert Date

Insert Date allows the current date or time to be quickly added to a document. The formats used for the date and time can be changed via the date and time format advanced settings if a different date or time format is desired.

If Insert Date is used to insert a date into a template document then the date will always appear as the current date whenever the template is opened.


Inserting Pictures

Main menu: | Insert > Insert Picture
Compact layout: | Insert > Insert Picture
Classic layout: | Edit > Insert Picture

Insert Picture inserts an image file into the current document.

Note that the WordPad word processing engine Jarte is based on is not capable of flowing text around a picture as shown here:

Therefore, Jarte inserts a picture centered on a line by itself, as shown below, since that usually provides the most pleasing result.

An exception is when the inserted picture is no taller than the text of the line it is being inserted into. In that case, Jarte inserts the picture inline with the text as shown here:

and with a smile [image] he was on his way.

Pressing the Shift key while inserting a picture will cause Jarte to insert a picture inline with the text regardless of the picture's size.

Resizing Pictures

A picture in a document can be resized by first clicking on it to display a frame used for resizing. The frame is a thin black rectangle around the border of the picture with eight resizing handles (dots) around the frame. Use the mouse to drag any of the frame's handles to resize the picture.

Note that the WordPad word processing engine Jarte is based on does a mediocre job of resizing pictures. A picture resized within a document will often look pixelated or blocky. Therefore, it is best to resize a picture to the desired size using a good picture editing program before inserting the picture into a Jarte document.

Default Picture Folder

The Insert Picture image chooser window begins in the My Pictures folder by default. The default folder can be changed via advanced setting Default Picture Folder.


Inserting Page Breaks

Main menu: | Insert > Insert Page Break
Compact layout: | Insert > Insert Page Break
Classic layout: | Edit > Insert Page Break

Insert Page Break inserts a hard page break at the current insertion point in the document. A hard page break forces the printer to stop printing on the current page and to resume printing on a new page. Jarte designates the presence of a hard page break with a solid gray line in the editing pane.

Note the difference between a hard page break and a soft page break: Soft page breaks are simply the points in a document where one page ends and another begins. Soft page breaks are represented in Jarte's editing pane by dashed gray lines. Soft page breaks are naturally occurring and can change positions as content is added or removed from a document. On the other hand, hard page breaks only occur where Insert Page Break has been used to force the page break. Hard page breaks always remain at the position in the document where they were inserted.

A hard page break can be removed by using the Backspace key.


Inserting Hyperlinks

Main menu: | Insert > Insert Hyperlink
Compact layout: | Insert > Insert Hyperlink
Classic layout: | Edit > Insert Hyperlink

Insert Hyperlink inserts clickable text that contains one of three available hyperlink types. Hovering the mouse over hyperlinked text causes the hyperlink's URL (i.e., the hyperlink's destination address) to be displayed. A hyperlink is activated by clicking it while pressing the Ctrl key, or by pressing the Enter key while the insertion point is positioned in the hyperlink. Jarte provides a choice of three different hyperlink types:

Web Hyperlink

A web hyperlink contains a URL to a web page. Clicking the hyperlink while pressing the Ctrl key opens the web page in your web browser.

File Hyperlink

A file hyperlink contains a URL to a file located on your computer. Clicking the hyperlink while pressing the Ctrl key opens the file using the program associated to the file's type. For example, if the file is an RTF file, and RTF files are associated to Jarte on your computer, then the file will open in Jarte under a new tab. Or, if the file is a sound file then it will be opened in a media program where it can be played.

If the hyperlinked file is a software program then clicking the link while pressing the Ctrl key will run the program.

E-mail Hyperlink

An e-mail hyperlink contains an e-mail address. Clicking the hyperlink while pressing the Ctrl key opens a new, empty e-mail window addressed to the specified recipient.


Inserting Tables

Main menu: | Insert > Insert Table
Compact layout: | Insert > Insert Table
Classic layout: | Edit > Insert Table

Insert Table inserts a table with a specified number of rows and columns. The number of rows and columns can be changed after the table is inserted. See Working with Tables for more information.


Inserting Special Characters

Main menu: | Insert > Insert Special Character
Compact layout: | Insert > Insert Special Character
Classic layout: | Font Control Panel > Keyboard

Insert Special Character displays Jarte's special characters keyboard which provides a wider choice of characters than is available on a physical keyboard.

Tip: If there are particular special characters that you frequently insert into documents then you may find it more efficient to use the associated keyboard key sequences for those characters. The easy to remember key sequences are great for entering accented characters, math symbols, currency symbols, and much more.

Using the Special Characters Keyboard

Simply click the desired character in the Special Characters Keyboard to insert it into the current document. You can also copy a character to the Windows clipboard by right clicking the character and selecting Copy from the pop-up menu.

The special characters keyboard can be navigated from your physical keyboard by using the up, down, left, and right arrow keys. Pressing the Enter key will insert the selected character.

The font selector box allows you to choose the font of the character to be inserted. The default font is the font at the current document's insertion point. However, it is often useful to switch to a symbolic font such as WingDings or WebDings when you want to insert a special symbol. You can even designate commonly used fonts as favorites. Favorite and recently used fonts are shown in blue at the top of the fonts list for quick access. Favorite fonts are designated with a green check mark.

Special Characters Keyboard Options

Stay on Top: Controls whether the Special Characters Keyboard is always on top of the main Jarte window.

Favorite Font: Marks the current font as a favorite font. Favorite fonts are displayed in blue at the top of the font list for quick access. Favorite fonts are displayed with a green check mark.

Show Recent Fonts: Causes all fonts used since Jarte was started to be displayed in blue at the top of the font list for quick access. Turn this option off if you do not want to display recently used fonts at the top of the font list.

Show favorite Fonts: Causes all fonts marked as favorite fonts to be displayed in blue at the top of the font list for quick access. Turn this option off if you do not want to display favorite fonts at the top of the font list.

Clear Recent Fonts: Directs Jarte to forget recently used fonts. Only fonts used after clearing are remembered as recently used fonts. The clear action only affects the display of recently used fonts at the top of the font list.

Clear Favorite Fonts: Clears the "favorite" setting from all fonts marked as favorite fonts.

Display in Native Font: Causes fonts in the font list to be displayed using their own font. This allows you to preview the appearance of the fonts before selecting one. Turn this option off to display all fonts in the font list using a single standard font.


Inserting Equations

Main menu: | Insert > Insert Equation
Compact layout: | Insert > Insert Equation
Classic layout: | Edit > Insert Equation

Insert Equation displays an equation editor used to create mathematical equations in your documents. Jarte uses the MathType equation editor to insert equations. The MathType equation editor must already be installed on your computer. If you use an equation editor program other than MathType, you can direct Jarte to use the alternative program by modifying the equation editor advanced setting.

You can modify an existing equation in a document by double clicking the equation.


Inserting Objects

Main menu: | Insert > Insert Object
Compact layout: | Insert > Insert Object
Classic layout: | Edit > Insert Object

Insert Object is used to insert any type of content you wish into a document. The type of objects that can be inserted vary according to the programs you have installed on your computer that support embedded objects. Inserted objects can either be new or they can be files already existing on your computer.

Inserting a sound in a document is an example of when to use Insert Object. If you are creating a new sound using a microphone then specify Wave Sound as the Object Type you wish to insert. If the wave sound file already exists specify Create from file and then use Browse to select the sound file.


Hot Connect

"Our Text Windows Are One..."

Hot Connect is Jarte's equivalent of the Vulcan mind meld. It connects Jarte to any other program's text window allowing instant transfer of text between the two windows. The connection makes it easy and convenient to use Jarte to write and spell check text for the other program. Hot Connect can be used for writing and spell checking e-mails, blog entries, newsgroup posts, or any other writing task you normally do in another program or in your web browser.

Hot Connect can also be used for reading articles from your web browser without any of the ads.

An Example of Hot Connect in Action

Microsoft's Outlook Express e-mail program does not have its own spell checker†. Before Hot Connect, if you were writing an e-mail with Outlook Express and wanted to spell check it with Jarte you could copy the e-mail text to the clipboard, paste the text into Jarte, run Jarte's spell checker, copy the corrected text to the clipboard, switch back to Outlook Express, clear the e-mail's existing text, and then paste the spell corrected text into the e-mail. But, that's a lot of steps.

Hot Connect makes this task much easier. Press Jarte's Hot Connect hot key (Alt+F7 by default) while writing an e-mail in Outlook Express. The e-mail's text automatically appears in Jarte under a special "Hot Connect" tab. Make any necessary spelling corrections or edits and then save the text. The Save action switches back to the Outlook Express e-mail and automatically replaces its text with the corrected text from Jarte.

You can also hot connect to an empty e-mail window, write the e-mail from scratch in Jarte, and then Save to instantly transfer the text to the e-mail window.

†Outlook Express will use Microsoft Word's spell checker if Word is installed.

Using Hot Connect

Starting Hot Connect

Hot Connect is initiated by pressing the Alt+F7 hot key while the computer's focus is in the text window to be connected to Jarte. The hot key can be changed in the Hot Connect Options window. Jarte must already be running when you press the hot key. If there is any text in the text window being connected then it will be transferred to a new Jarte document pane with the tab name "Hot Connect".

Spell checking of the connected window's text can be set to begin automatically when the text appears in Jarte. Automatic spell checking is controlled in the Hot Connect Options window.

Saving Changes

When the writing or spell checking of text in Jarte has been completed the updated text is transferred back to the hot connected window by performing a Save (e.g., click the Save button in the Status Bar). Jarte replaces the hot connected window's existing text with the updated text and returns focus to that window.

Transferring Partial Text

If text is highlighted in the text window to be hot connected then Hot Connect will only transfer the highlighted text to Jarte. When edit changes are saved they will replace only the highlighted text in the hot connected window, assuming the window's text is still highlighted. For example, you can highlight a single word in a text window and press Alt+F7 to spell check the word in Jarte. You can then correct the word's spelling and Save which replaces the highlighted word in the hot connected window with the corrected spelling.

Use Hot Connect for Reading and Printing

How many times have you read an article on the web that was formatted into a narrow column with flashing ads running down both sides of the article? Or, have you ever wanted to print an article without any of the surrounding ads? Hot Connect can solve those problems: Highlight the article's text in your web browser and then press Alt+F7. The article will then appear in Jarte, ready for reading and printing, without any of the ads.

Caveats

· Jarte uses the Windows clipboard to transfer text back and forth between Jarte and the hot connected window. This method is used because of its reliability and because it allows Hot Connect to work with almost any other program. However, it also causes whatever data is on the clipboard to be lost when Hot Connect transfers text to/from a hot connected window. Of course, the lost clipboard data can still be retrieved from Jarte's Clip List.
· In most cases, only plain text is transferred between Jarte and a hot connected window. This means that any text formatting such as bolding, italics, etc is not preserved during the text transfer.
· Hot Connect is not guaranteed to work with all text windows, although it should work with the vast majority. If text transfer problems are encountered when using Hot Connect then adjusting Hot Connect's advanced settings may help. If Hot Connect refuses to transfer text from a particular program try highlighting the program's text before pressing the Hot Connect hot key.


Hot Connect Options

Main menu: | Tools > Options > Hot Connect
Compact layout: | Options > Hot Connect
Classic layout: | Options > Hot Connect

"Hot Connect" Hot Key

The Hot Connect feature can only be activated by pressing the Hot Connect hot key. Alt+F7 is the default hot key, but it can be changed by entering a different key in the provided box. To specify a different hot key simply click in the box and then press the key you want to use as the new hot key along with any combination of the Alt, Ctrl, and Shift keys.

For example, if you want to change the Hot Connect hot key to Alt+Ctrl+H then click in the box and press the Alt, Ctrl, and H keys.

Automatic Spell Check

When the Hot Connect feature is activated Jarte automatically runs its spell checker against any text transferred over from the connected text window. The Run spell check automatically check box can be unchecked if that behavior is undesirable. Note that if background spell checking is enabled then the regular spell checker is not automatically started.

Automatic Close

Check the Automatically close on disconnect check box if you want Jarte to automatically close a Hot Connect tab once it detects the tab's hot connected window is no longer available.

More Hot Connect Options

There are a few uncommonly used Hot Connect settings provided in case problems are encountered while using Hot Connect. See Hot Connect Settings in the advanced settings section for more information.


Status Bar

Main menu: | View > Show Status Bar
Compact layout: | View > Show Status Bar
Classic layout: | View > Show Status Bar

Bookmark Buttons

See Using Bookmarks.

Line and Column Indicator

Indicates the line number and character position of the insertion point in the current document. Click this indicator to go directly to a specified line number within the document.

Page Number Indicator

Indicates the page number of the position of the insertion point in the current document, as well as the total number of pages in the document. Click this indicator to go directly to a specified page within the document.

This indicator displays "No Printer" if Jarte does not find a printer installed on the computer. The indicator displays "Printer Problem" if Jarte encountered an error while trying to communicate with the printer to obtain information needed for page counting. In either of these cases, click the indicator for more information.

Right click the indicator to access a pop-up menu that allows page counting to be turned off. This will also turn off the display of soft page breaks in the editing pane. It can also help Jarte run more efficiently on older computers when working with large documents. The indicator will display "Page Count Off" while in this state.

The text color of this indicator can be changed by right clicking and selecting Status Color.

Unsaved Changes Indicator

This indicator is lit when the current document contains any changes that have not been saved. Note that unsaved changes also include modifying the document's printer settings or bookmarks.

The indicator displays a small stopwatch as part of its icon whenever the auto save feature is turned on.

This indicator also serves as a Save button. Click the indicator to save any unsaved changes to the current document. The indicator can be made a clickless Save button by turning on option Clickless Save Button.

Overwrite Indicator

Indicates whether the document's insertion point inserts or overwrites as you type. Normally, the insertion point inserts the characters you type into the document without overwriting the existing text. If this indicator is lit then the insertion point is in overwrite mode and overwrites the characters immediately to the right of the insertion point as you type. The keyboard's Insert key is used to toggle between insert mode and overwrite mode.

Document Format Indicator

Indicates whether the current document is a rich text or plain text document. A rich text document is represented by the [image] icon and a plain text document is represented by the [image] icon.

The current document's text format can be changed by clicking the indicator. You can also select the text format to be used as the default for all new documents.

Caps Lock Indicator

This indicator is lit when the keyboard's Caps Lock key is toggled on.

Word Wrap Indicator

Indicates the current document's word wrap mode. Click the indicator to change the current document's word wrap mode, or the default word wrap mode used for new documents.

Read Only Indicator

This indicator is lit if the current document is "read only". A "read only" document is a document that can opened but not modified.

A document can be made a "read only" document by selecting File Properties and checking the "read only" check box. Note that Jarte does not treat the document as "read only" until the next time the document is opened.


Ruler

The Ruler

Main menu: | View > Show Ruler
Compact layout: | View > Show Ruler
Classic layout: | View > Show Ruler

Jarte's ruler provides a means of document measurement as well as a convenient means of setting tab stops. The ruler's zero position represents the left edge of the document text (i.e., the ruler does not include the left side print margin).

The ruler's units can be switched between metric units and English units by right clicking on the ruler and setting the Metric check box appropriately.

The ruler can not used to set page margins. See Page Margins instead.

Setting Tab Stops

Tab stops are useful for aligning text using the Tab key. A tab stop can be set by simply clicking on the ruler at the point where the tab stop is to be positioned. A tab stop can be moved by dragging it with the mouse to the desired new position. A tab stop can be removed by dragging it off of the ruler.

Tab stops are an attribute of paragraph formatting. When you set a tab stop it applies only to the paragraph containing the current position of the text insertion point. If you want to set a tab stop for multiple paragraphs, or the entire document, you must first select (highlight) the paragraphs for which the tab stop is to be applied.

Setting Tab Stops with the Tab Stop Window

Main menu: | Format > Paragraph > Tab Settings
Compact layout: | Paragraph > Tab Settings
Classic layout: | Paragraph Tools Panel > Tab Settings

An alternative means of setting tab stops is to use the Tab Stops window. Right click on the ruler and choose Tab Settings. Create a tab stop by entering its position in the Tab Stop Position box and then clicking the Set button. The new tab stop is added to list of defined tab stops.

A tab stop can be removed from the tab stop list by selecting it with mouse and clicking the Clear button. Use Clear All to clear all of the tab stops in the tab stop list.


Document Tabs

Document Tabs

Main menu: | View > Show Tabs
Compact layout: | View > Show Tabs
Classic layout: | View > Show Tabs

Jarte's document tabs allow you to open multiple documents by providing a separate tab for each document. Each tab displays the document's file name, or is blank for new documents. Simply click on any tab to switch to the desired document. Switching between tabs can be done without clicking by turning on option Clickless Tabs.

The tabs can be reordered by drag-and-dropping individual tabs to the desired position. Tabs can be closed by either clicking the active tab's Close button, or by double clicking the tab. The active tab's Close button can be made "clickless" by turning on option option Clickless Tab Close Button.

Document Tabs Menu

Main menu: | Window
Compact layout: | Tabs
Classic layout: | Tabs

The Document Tabs Menu provides an alternate means of accessing documents when more than one document is open. The menu lists all open documents. The current document in the menu list is displayed in bold. Selecting a document from the list directs Jarte to switch to that document.

Main menu: | Window > Manage Tabs
Compact layout: | Tabs > Manage Tabs
Classic layout: | Tabs > Manage Tabs

Navigating Tabs

The Manage Tabs submenu includes a number of functions used to navigate between tabs and reorder tabs. These can be especially useful when working with a large number of tabs.

Copy to Clipboard

The Manage Tabs submenu provides functions that copy the file name of active tab to the Windows clipboard:

Copy File Name - Copies the file name of the current document to the clipboard (e.g., copies "My To Do List.doc" to the clipboard if the current document is "C:\My Documents\My To Do List.doc").

Copy Folder Path - Copies the folder path of the current document to the clipboard (e.g., copies "C:\My Documents" to the clipboard if the current document is "C:\My Documents\My To Do List.doc").

Copy Full File Path - Copies the entire file path of the current document to the clipboard (e.g., copies "C:\My Documents\My To Do List.doc" to the clipboard if that is the path of the current document).

Windows Utilities

The Manage Tabs submenu provides shortcuts to the following Windows utilities:

Windows Explorer - Opens a Windows Explorer window positioned on the folder that contains the current document.

Command Prompt - Opens a Windows command prompt window positioned on the folder that contains the current document.

Options

The Manage Tabs submenu provides the following options:

Large Tabs - Increases the size and font of the document tabs to make them easier to read. This option is in effect by default, and can not be turned off, if the current Windows settings are set to use a large font for windows and controls.

Close Tab on Double Click - Controls whether document tabs can be closed with a double mouse click.

Show Tab Close Button - Controls whether the Close button is displayed on the current tab.


Jarte Options

Main menu: | Tools > Options
Compact layout: | Options
Classic layout: | Options

Main Options

Clickless Operation

Jarte's Clickless Operation is designed to make writing more pleasant and efficient by reducing the number of mouse clicks needed to accomplish many word processing tasks. Note that Clickless Operation does not apply to the main menu.

Clickless Menu Buttons - Controls whether the various Jarte buttons that display menus can be activated by pausing the mouse over them.

Clickless Menu Items - Controls whether a menu's menu items can be selected by pausing the mouse over the desired choice.

Clickless Tabs - Controls whether you can switch document tabs by pausing the mouse over the desired tab.

Clickless Tab Close Button - Controls whether the Close button on the current document's tab can be activated by pausing the mouse over it.

Clickless Save Button - Controls whether the Save button on the File Tools panel and the Save button on the status bar can be activated by pausing the mouse over them.

Click Timing - Controls the length of time the mouse must pause over a button before the button automatically activates. Fast indicates a very short pause, Normal and Slow indicate longer pauses.

Use System Tray Icon

When this option is turned on Jarte's icon appears in the system tray of the Windows task bar in order to provide easy access to the program.

Show Hints

Determines whether a small hint window describing a button appears when the mouse pauses over the button. Note that no hint window is shown for buttons that display menus when the Clickless Menu Buttons option is turned on.

Show Button Labels

Displays a brief, identifying label next to each of Jarte's buttons.

Middle Mouse Button Paste

When this option is turned on the clipboard Paste operation can be performed simply by clicking the mouse's middle button. The middle mouse button is the clickable scroll wheel available on most mice. Other clipboard operations can also be performed with the middle mouse button as described in Using the Windows Clipboard.

Middle Mouse button Paste should work with most mice, but it is not guaranteed to work with all mice. If it does not work for your mouse try examining the mouse's settings by going to Start > Control Panel > Mouse. Ensure the middle mouse button (scroll wheel button) is set to its "default" action.

Select Whole Words

Determines whether the mouse selects whole words at a time, rather than just one character at a time, when selecting (i.e., highlighting) text with the mouse.

Show File Extension

Determines whether a file name's file format extension is shown as part of the file name wherever file names are displayed throughout Jarte. For example, My To Do List versus My To Do List.doc.

Enable Smart Quotes

This feature is only available in Jarte Plus. Smart quotes are the directional curly quotes supported by most fonts and preferred by many writers. For example, the following line uses curly quotes:

“To be or not to be...” ‘...that is the question.’

and the following line uses the normal straight quotes:

"To be or not to be..." '...that is the question.'

Note that some fonts have more distinctive curly quotes than others. The examples shown above use the Times New Roman font which has distinctive curly quotes. The same keyboard quote key is used for both curly quotes and straight quotes. The setting of the Smart Quotes option determines which type of quotes the quote key produces.

Auto Hyperlink Detect

This feature automatically converts any web addresses in a document into clickable hyperlinks. Detected web addresses are made blue and underlined. Click the web address while pressing the Ctrl key to open the address in a web browser, or press the Enter key while the insertion point is positioned in the hyperlink.

Any currently open documents need to be closed and reopened after changing this option before the change will have full affect in those documents.

Use Alternate Main Menu

This option indicates whether the default main menu or the alternate main menu is used when the main menu is being displayed. The default main menu is laid out similarly to the main menu of other word processors such as WordPad. The alternate main menu is laid out as a text version of the compact control panel. Both main menu styles represent different arrangements of the same program functions.

Hot Connect

This option displays the Hot Connect Options window which controls settings for the Hot Connect feature.

Document Background Color

This option allows a choice of document background colors. The chosen background color is only used for display purposes, not for printing. Note that if a light font color is used against a dark background then printouts will be difficult to read when the light font color is printed on white paper.

Word Wrap

This option determines the point at which a document's lines are wrapped when displayed on the screen. The following choices are available:

Wrap to Window - Lines are wrapped when they reach the right edge of the editing pane. Indicated by [image] in the status bar.

Wrap to Page - Lines are wrapped exactly as they will appear when printed. Indicated by [image] in the status bar. This choice is only enabled if a local or network printer is available. If no printer is available then installing a PDF utility program such as PrimoPDF will serve the same purpose.

Gray dashed lines appear across the width of the document at the points where one page ends and the next begins. A page number is displayed immediately above each dashed line at the right side. If the page numbers are not visible then widen the Jarte program window until the page numbers come into view.

The length of the lines, and the point at which they wrap, is determined by the paper size and page margin settings (see Printing and Page Setup).

No Wrap - Lines are not wrapped. The horizontal scrollbar must be used to view the end of lines which continue past the right edge of the editing pane. Indicated by [image] in the status bar.

You may choose separate default word wrap choices for both rich text and plain text documents. The word wrap setting can also be selected by clicking the word wrap indicator in the status bar.

New Jarte Personality

This feature is only available with Jarte Plus. It allows the creation of new Jarte personalities, each of which maintains its own settings (e.g., favorite files list, custom spelling dictionaries, appearance, etc). You are prompted for a name when creating a new Jarte personality, and a shortcut to that personality is placed on the Windows Desktop.

Jarte personalities can be used for special writing projects, keeping home and work related writing environments separate (especially useful when Jarte is run from a USB flash drive used at both home and work), providing separate Jarte environments for family members who share the same Windows login account, etc.

Change Jarte Background

This option allows a choice of background patterns for the program interface. The option is mainly for Jarte Plus users, however, users of the Jarte free edition can choose between the Brushed Metal default background and a background of None (i.e., a solid color background).

The available background patterns are designed to automatically conform to your current Windows color scheme. Jarte Plus users can also provide their own images for use as a background image. The easiest way to do this to use the mouse to drag-n-drop an image file on to any of Jarte's control panels (i.e., do not drop the background image on a document since that will cause the image to be inserted into the document instead of being used as a background). Jarte will make its own copy of the image file when dropped on a Jarte control panel.

Additional backgrounds are available on the Jarte Backgrounds web page.

Install to USB Drive

This handy feature allows you to quickly install Jarte to a portable USB flash drive so you carry Jarte and your documents with you. You can then use Jarte by plugging the flash drive into any PC. Jarte is USB flash drive friendly. When Jarte is run from a portable flash drive it makes no changes to, and stores no information on, the host PC.

Install to USB Drive gives you the choice of performing a fresh install to the flash drive or copying your existing Jarte settings to the new flash drive installation.


Document File Formats

Rich Text vs Plain Text Documents

Main menu: | File > File Options > Document Format
Compact layout: | File > File Options > Document Format
Classic layout: | File Tools Panel > Options > Document Format

Word processing documents can be categorized into two basic types: rich text and plain text. Rich text documents combine text with formatting information in a way that allows the text in those documents to use any mixture of fonts, fonts sizes, font styles (bold, italic, etc), and paragraph styles (centered, bulleted, etc). Rich text documents may also contain non-text content such as images. File formats used for rich text documents include RTF, DOC, and DOCX.

In contrast, plain text documents contain only plain, unformatted text. Plain text files are usually saved using the TXT file name extension, but many other extension are used as well depending on the plain text file's intended purpose.

Jarte displays the current document's format type in the status bar's format indicator. The status bar's format indicator displays [image] for rich text documents and [image] for plain text documents. You can convert from one document type to the other by clicking the format indicator.

Rich Text File Formats

RTF File Format

The RTF file format is recognized by nearly all word processor programs including Word and WordPad. As such, it is the recommended file format for documents created using Jarte.

DOC File Format

The DOC file format is the format most commonly used by Microsoft Word. The format has evolved over time so there are actually a number of different formats that share the DOC name. Jarte can open files formatted in any of the various DOC format flavors. When saving files in DOC format, Jarte uses a flavor of the format that is compatible with older versions of Word.

DOCX File Format

The DOCX file format is the latest Microsoft Word format. It was introduced with the release of Word 2007. Jarte can open a DOCX file, however, any editing changes made to the file must be saved using RTF or DOC file format. Jarte requires the installation of Microsoft's Office Compatibility Pack in order to open Word DOCX files.

Other File Formats

Jarte does not support other rich text file formats (e.g., WordPerfect, Microsoft Works, etc) at this time. If you need to convert a document to/from a file format not supported by Jarte then use the free, online Media-Convert file conversion service.

Plain Text File Format

Plain text files are universally recognized by all word processors and text editors. They are often used for special purposes or in situations where formatted text is unsuitable. TXT is the most common file name extension used for plain text files, but many others are used as well.

Associating a File Format to Jarte

Main menu: | File > File Options > File Associations
Compact layout: | File > File Options > File Associations
Classic layout: | File Tools Panel > Options > File Associations

Jarte allows you to associate the RTF, DOC, DOCX, and TXT file format types to the Jarte program. When one of those file types is associated to Jarte, double clicking on a file of that type will cause Windows to automatically open the file in Jarte.

Note that File Associations is disabled if Jarte is being run from a portable drive, such as a USB flash drive. Jarte can be forced to allow file associations in that situation by changing the value of advanced setting Allow Portable File Assoc to "1".

Windows Vista

Windows Vista introduces a new method of associating programs to file format types. Jarte's File Associations command does not try to make the association itself. Instead, the command is actually a shortcut to Windows Vista's new Default Programs window. In that window you will see check boxes allowing you to associate Jarte to the RTF, DOC, DOCX, and TXT file format types. The check boxes are a bit unusual in that they can only be checked. The check boxes can not be unchecked after you have clicked "Ok".

The only way to disassociate a file format type from Jarte in Windows Vista is to create a new association between the file type and a different program. This can be done most easily using Jarte's File Properties feature:

1. Open a file of the file format type you wish to disassociate from Jarte.
2. Select the File Properties feature.
3. Click the Change button in the Properties window and then select the program to which you wish to associate the file type.


Jarte as a Portable Word Processor

The Jarte word processor is small and easily fits on a USB flash drive. Jarte can be run directly from a USB flash drive so you can physically carry it with you, along with your documents, and plug it into any available Windows computer. When Jarte is run from a flash drive it keeps all of its program settings on the flash drive. Jarte does not change any settings, or leave any files, on the host computer when it runs from a flash drive.

Installing Jarte to a USB Flash Drive

There are two methods to install Jarte to a USB flash drive:

1. Download the Jarte "Just the Files" zip file from the Jarte download page (if you are using Jarte Plus then contact Support or use method two below). Create an empty folder on the flash drive to hold the Jarte program and its files. Extract the zip file contents to the new folder. Be sure to turn on your zip program's Use folder names setting before unzipping!
2. Use Jarte's Install to USB Drive feature to direct Jarte to install a copy of itself on a flash drive.

Portable Mode

When Jarte runs from a USB flash drive it automatically runs in "portable mode". When Jarte runs in portable mode it stores all of its settings and other program data (e.g., custom spelling dictionaries, Clip List clips, backup document files, etc) in a folder named "Data" within the Jarte program folder.

When Jarte is running in "normal mode" (i.e., it is installed on the main Windows drive or a network drive) it stores its settings and program data in a folder location designated by Microsoft's programming guidelines. That location varies according the version of Windows being used. Access to Jarte's data folder can be gained by clicking the Data Folder button on Jarte's System Information window.

Jarte runs in normal mode whenever it is run from the drive on which Windows is installed or when it is run from a network drive. In all other cases (e.g., Jarte is run from a flash drive, secondary hard drive, etc) Jarte runs in portable mode. However, this behavior can be overridden by specifying the desired mode via the "M" command line switch in the Jarte shortcut used to start the program.

Warning: Forcing Jarte to run in portable mode when it is running from the Windows drive is not recommended unless you are sure of what you are doing. Some computers are set up to protect certain folders, such as the Program Files folder. If Jarte is run in portable mode from a protected folder the results will be unpredictable! In particular, Windows Vista protects the Program Files folder by default.


Miscellaneous

Sending Documents as E-mail

Main menu: | File > Send
Compact layout: | File > Send
Classic layout: | File Tools Panel > Send

Send as E-mail displays a new e-mail window with the current document's text in the e-mail message body. This feature only works with MAPI compliant e-mail programs such as Outlook and Outlook Express. Text formatting is not supported with this feature (i.e., formatting such as bolding is lost when the document text is placed in the e-mail message body).

Send as E-mail Attachment is the same as Send as E-mail except the current document is attached to the e-mail as a file attachment rather than copied to the message body. All document formatting is preserved in the attachment.

Note: These e-mail features are only available on Windows NT and above.

Attaching Notes to Documents

Main menu: | File > File Options > Attached Note
Compact layout: | File > File Options > Attached Note
Classic layout: | File Tools Panel > Options > Attached Note

Attached Note is an exclusive Jarte Plus feature that allows a text note to be attached to the current document. The note can contain any text you wish. If the current document is a plain text file then the note will only be retained for as long as the document is shown in either the Recent Files list or the Favorite Files list.

Searching for a File

Main menu: | File > Find File
Compact layout: | File > Find File
Classic layout: | File Tools Panel > Search

The Find File feature is a shortcut to the Windows file search window. The Windows file search window can be used to find a file even if you only know part of the file name. Any found files can be opened in Jarte by dragging and dropping the files from the file search window to the Jarte program.

Viewing File Properties

Main menu: | File > File Properties
Compact layout: | File > File Properties
Classic layout: | File Tools Panel > Properties

File Properties displays the Windows file properties window for the current file. Changes made to the file through the file properties window are not recognized by Jarte until the next time the file is opened.

Zoom

Main menu: | Tools > Zoom
Compact layout: | Zoom
Classic layout: | Zoom

The Zoom feature changes the magnification of the current document. Increased magnification is useful for making documents easier to read. Decreased magnification fits more of the document into the available screen space thereby reducing the need for scrolling.

Note the zoom level can also be changed by rotating the mouse's scroll wheel while pressing the Ctrl key. The zoom level appears in the status bar when the zoom level is changed. The status bar indicator is especially useful when changing the zoom level via the scroll wheel or via the zoom keyboard shortcuts.

You can also change the default zoom level which is then applied to all subsequently opened documents.

Word Count

Main menu: | Tools > Word Count
Compact layout: | Word Count
Classic layout: | Word Count

Word Count displays the number of pages, lines, words, and characters found in the current document. If you select (highlight) part of the document's text then Word Count displays counts for just the selected text range.

Undo and Redo

Main menu: | Edit > Undo, Redo
Compact layout: | Edit > Undo, Redo
Classic layout: | Undo, Redo

Use Undo to reverse the most recent edit to the current document. Undo can be repeated to reverse as many document edits as desired. Use Redo to reinstate an edit that has just be reversed with Undo. Redo can be repeated to reverse a string of Undo operations.

Sort

Main menu: | Edit > Sort
Compact layout: | Edit > Sort
Classic layout: | Edit > Sort

Sorts the current document's paragraphs in alphabetical order. If only a portion of the document is to be sorted then select (highlight) the paragraphs to be sorted before sorting.

Table rows can only be sorted using the table sort feature.

Change Case

Main menu: | Edit > Change Case
Compact layout: | Edit > Change Case
Classic layout: | Edit > Change Case

Changes the casing of the letters in the selected text according to the following choices:

To Lower Case - Changes all letters to lower case.

To Upper Case - Changes all letters to upper case.

To Title Case - Changes the first letter of each word to upper case. All other letters are changed to lower case.

To Sentence Case - Changes the first letter of each sentence to upper case. All other letters are changed to lower case.

To Reverse Case - Changes all lower case letters to upper case and all upper case letters to lower case.


Screen Reader Mode

Background

A screen reader is a program capable of audiblizing the text appearing on a computer screen for the benefit of visually impaired computer users. Microsoft's Narrator program is an example of a basic screen reader built into Windows. There are other more advanced screen reader program's available including the free NVDA program and the popular JAWS program.

Jarte's Screen Reader Mode

Jarte runs in a special screen reader mode if a recognized screen reader program is already running on the computer when Jarte is started. Jarte uses a special screen reader friendly interface while in screen reader mode. A number of Jarte's visually oriented features are removed from the interface while in screen reader mode (e.g., color related features, interface panels that require visual interaction, etc) to make use of Jarte more straightforward for visually impaired users. Other features are modified slightly to make them more readable to a screen reader.

Issues

Jarte will only enter screen reader mode if a recognized screen reader is running. If Jarte does not enter screen reader mode (the words "screen reader mode" will be in the program title bar when Jarte is running in screen reader mode) then please report the name of the unrecognized screen reader program to Jarte support to ensure the next version of Jarte is modified to recognize your screen reader.

You can temporarily force Jarte into screen reader mode by starting Microsoft's Narrator program, which is built into Windows, and then restart Jarte. Jarte will see the Narrator program is running and automatically enter its screen reader mode. You can then set advanced setting Override Screen Reader to a value of "1" to ensure Jarte always starts in screen reader mode. See topic Advanced Settings for more information about how to change the values of advanced settings.


System Information

Main menu: | Help > System Information
Compact layout: | Help > System Information
Classic layout: | About Panel > System Information

The System Information window displays information about the computer environment Jarte is running in. When contacting Jarte Support you should always send this information with your question by using the Copy All button to copy the information to the clipboard and then paste it into your e-mail.

Data Folder

The Data Folder button displays a Windows Explorer window open to Jarte's user data folder. There is a unique Jarte user data folder for each Windows login user and for each Jarte personality. Note that the Jarte data folder is not located in the Jarte program folder (e.g., C:\Program Files\Jarte). The Jarte user data folder contains files that store Jarte's settings, supplementary spelling dictionaries, error logs, saved clip list clips, templates, program backgrounds, error logs, etc.

Copy All

Copies the information displayed in the System Information window to the Windows clipboard.

Edit Settings

Opens Jarte's settings file so that it can viewed or modified. See Advanced Settings for more information.


Keyboard Shortcuts

Document Actions

Open | Ctrl + O
Open Favorite | Shift + Ctrl + O
Save | Ctrl + S
Save As | Shift + Ctrl + S
Print | Ctrl + P
Quick Print | Shift + Ctrl + P
Close | Ctrl + F4 or Ctrl + W
Close All | Shift + Ctrl + F4
Next Document Tab | Ctrl + Tab
Previous Document Tab | Shift + Ctrl + Tab
Previously Active Document Tab | F8
Undo | Ctrl + Z
Redo | Shift + Ctrl + Z
Spell Check | F7
Background Spell Check | Shift + F7
Zoom In | Ctrl + [ or Ctrl + Scroll Wheel
Zoom Out | Ctrl + ] or Ctrl + Scroll Wheel
Word Count | Ctrl + M

Clipboard Actions

Copy | Ctrl + C or Ctrl + Middle Mouse Button1
Cut | Ctrl + X or Shift + Ctrl + Middle Mouse Button1
Paste | Ctrl + V or Middle Mouse Button1
Paste Plain | Shift + Ctrl + V or Shift + Middle Mouse Button1
Clip List Menu | F4
Copy Saved Clip | Ctrl + 0 thru Ctrl + 9
Paste Saved Clip | Shift + Ctrl + 0 thru Shift + Ctrl + 9

1 Available if option Middle Mouse Button Paste is enabled.

Font Formatting

Bold | Ctrl + B
Italics | Ctrl + I
Underline | Ctrl + U
Increase Font Size | Shift + Ctrl + á
Decrease Font Size | Shift + Ctrl + â
Toggle Smart Quotes | Shift + Ctrl + '
Repeat Previous Brush and Repeat Previous Highlighter | Ctrl + G

Paragraph Formatting

Align Left | Shift + Ctrl + L
Center | Shift + Ctrl + C
Align Right | Shift + Ctrl + R
Justify | Shift + Ctrl + J
Increase Indentation | Shift + Ctrl + I
Decrease Indentation | Shift + Ctrl + D

Edit Text

Delete one character to the right | Delete
Delete one character to the left | Backspace
Delete one word to the right | Ctrl + Delete
Delete one word to the left | Ctrl + Backspace
Delete Paragraph | Ctrl + Y
Insert Page Break | Ctrl + Enter
Insert Date (long format) | F5
Insert Date (short format) | Shift + F5

Select Text

Select one character to the right | Shift + à
Select one character to the left | Shift + ß
Select one word to the right | Shift + Ctrl + à
Select one word to the left | Shift + Ctrl + ß
Select to the beginning of the line | Shift + Home
Select to the end of the line | Shift + End
Select to one line up | Shift + á
Select to one line down | Shift + â
Select to one screen up | Shift + Page Up
Select to one screen down | Shift + Page Down
Select to the top | Shift + Ctrl + Home
Select to the bottom | Shift + Ctrl + End
Select All | Ctrl + A
Select from the insertion point to the mouse | Shift + Right Mouse Button

Move Insertion Point

Move one character to the right | à
Move one character to the left | ß
Move one word to the right | Ctrl + à
Move one word to the left | Ctrl + ß
Move to the beginning of the line | Home
Move to the end of the line | End
Move one line up | á
Move one line down | â
Move one screen up | Page Up
Move one screen down | Page Down
Move to the top | Ctrl + Home
Move to the bottom | Ctrl + End
Move to mouse position | Right Mouse Button

Search and Replace

Show Find Bar | Ctrl + F
Close Find Bar | Shift + Ctrl + F
Find/Find Again | F3
Show Replace Bar | Ctrl + R
Close Replace Bar | Shift + Ctrl + R

Bookmarks

Set Bookmark | Ctrl + F2
Delete Bookmark | Shift + Ctrl + F2
Go to Next Bookmark | F2
Go to Previous Bookmark | Ctrl + F2

Other Shortcuts

Exit Jarte | Alt + F4
Help | F1
Show/Hide Side Tool Panel | F11
Open Web/E-mail Address | F6
Move Selected Text | Drag-and-Drop
Copy Selected Text | Ctrl + Drag-and-Drop
Attached Note | Shift + Ctrl + N
Dictionary Lookup | Ctrl + D
Thesaurus Lookup | Ctrl + T

Also see keyboard shortcuts for accent marks, diacriticals, and special characters.


Accent Marks, Diacriticals, and Special Characters

Jarte provides an extended set of easy to remember keyboard sequences used to create letters with accent marks (i.e., diacritical letters) and other special characters. See Inserting Special Characters to insert accented letters and other special characters without using keyboard sequences.

Note: If you are using a non-US keyboard you may find that many of the shortcuts listed below do not work on your computer. In that case, you want to try disabling Jarte's special character shortcuts by changing setting Enable Accent Shortcuts. That will cause Jarte to revert back to the limited accent character shortcuts provided by the WordPad word processing engine Jarte is based on. The WordPad shortcuts may work better for some non-US keyboards. The available WordPad shortcuts will vary depending on the keyboard layout being used.

Key Sequences for Accent Marks and Special Characters

Acute accented letters:

Á | Ctrl + ' and then A
á | Ctrl + ' and then a
Ð | Ctrl + ' and then D
ð | Ctrl + ' and then d
É | Ctrl + ' and then E
é | Ctrl + ' and then e
Í | Ctrl + ' and then I
í | Ctrl + ' and then i
Ó | Ctrl + ' and then O
ó | Ctrl + ' and then o
Ú | Ctrl + ' and then U
ú | Ctrl + ' and then u
Ý | Ctrl + ' and then Y
ý | Ctrl + ' and then y

Grave Accented Letters:

À | Ctrl + ` and then A
à | Ctrl + ` and then a
È | Ctrl + ` and then E
è | Ctrl + ` and then e
Ì | Ctrl + ` and then I
ì | Ctrl + ` and then i
Ò | Ctrl + ` and then O
ò | Ctrl + ` and then o
Ù | Ctrl + ` and then U
ù | Ctrl + ` and then u

Umlaut Accented Letters:

Ä | Ctrl + : and then A
ä | Ctrl + : and then a
Ë | Ctrl + : and then E
ë | Ctrl + : and then e
Ï | Ctrl + : and then I
ï | Ctrl + : and then i
Ö | Ctrl + : and then O
ö | Ctrl + : and then o
Ü | Ctrl + : and then U
ü | Ctrl + : and then u
Ÿ | Ctrl + : and then Y
ÿ | Ctrl + : and then y

Circumflex Accented Letters:

Â | Ctrl + ^ and then A
â | Ctrl + ^ and then a
Ê | Ctrl + ^ and then E
ê | Ctrl + ^ and then e
Î | Ctrl + ^ and then I
î | Ctrl + ^ and then i
Ô | Ctrl + ^ and then O
ô | Ctrl + ^ and then o
Û | Ctrl + ^ and then U
û | Ctrl + ^ and then u

Tilde Accented Letters:

Ã | Ctrl + ~ and then A
ã | Ctrl + ~ and then a
Ñ | Ctrl + ~ and then N
ñ | Ctrl + ~ and then n
Õ | Ctrl + ~ and then O
õ | Ctrl + ~ and then o

Cedilla Accented Letters:

Ç | Ctrl + , and then C
ç | Ctrl + , and then c

Ring Accented Letters:

Å | Ctrl + @ and then A
å | Ctrl + @ and then a

Caron Accented Letters:

Š | Ctrl + # and then S
š | Ctrl + # and then s
Ž | Ctrl + # and then Z
ž | Ctrl + # and then z

Punctuation Marks:

¿ | Ctrl + ?
¡ | Ctrl + !
… | Ctrl + .
— (em dash) | Ctrl + _
– (en dash) | Ctrl + -

Currency Symbols:

¢ | Ctrl + $ and then c
€ | Ctrl + $ and then e
ƒ | Ctrl + $ and then f
¤ | Ctrl + $ and then g
£ | Ctrl + $ and then l or p
¥ | Ctrl + $ and then y

Mathematical Symbols:

± | Ctrl + = and then +
× | Ctrl + = and then *
÷ | Ctrl + = and then /
¬ | Ctrl + = and then n
½ | Ctrl + = and then 2
¾ | Ctrl + = and then 3
¼ | Ctrl + = and then 4
° | Ctrl + = and then d
‰ | Ctrl + = and then %
µ | Ctrl + = and then u

Other Special Letters and Symbols:

Æ (ash) | Ctrl + & and then A
æ () | Ctrl + & and then a
Œ (Œthel) | Ctrl + & and then O
œ | Ctrl + & and then o
Ø | Ctrl + / and then O
ø | Ctrl + / and then o
Þ (thorn) | Ctrl + & and then P
þ | Ctrl + & and then p
ß (Eszett) | Ctrl + & and then s
† (dagger) | Ctrl + & and then d
‡ (double dagger) | Ctrl + & and then D
• (bullet) | Ctrl + & and then b
© (copyright) | Ctrl + @ and then c
® (registered trademark) | Ctrl + @ and then r
™ (trademark) | Ctrl + * and then t
ª (ordinal indicator) | Ctrl + * and then a
º (ordinal indicator) | Ctrl + * and then o
¹ | Ctrl + * and then 1
² | Ctrl + * and then 2
³ | Ctrl + * and then 3


Command Line Switches

Jarte command line switches are options specified in the Jarte shortcut used to start the program. They can be assigned to a Jarte shortcut by right clicking on the shortcut's icon, selecting the Properties menu item, and appending the switches in the Target box of the Properties dialog. Command line switches can also be used when starting Jarte from a command prompt window or a batch file.

The illustration below shows an example of Jarte command line switches being used to disable Jarte's Clip List, direct Jarte to use metric units of measure where applicable, and to specify folder C:\My Folder as the initial folder used for Open and Save:

Jarte's Command Line Switches

/C - Causes any file specified on the command line to be automatically created if the file does not already exist.

/D - Disables the Clip List feature. This is useful if there is a conflict between the Clip List and another program that monitors the Windows clipboard. Also, see advanced setting Clip List Enable.

/I:<initial folder path> - The initial folder path specifies the initial folder placed in the open and save file dialog boxes the first time they are used. Normally, the file open and file save dialog boxes default to using the My Documents folder the first time they are used. Double quotes must be placed around this switch if the folder path contains any spaces. Also, see advanced setting Default Initial Folder.

/M:<mode> - This switch is used to force Jarte to run in either portable mode or normal mode. The two acceptable mode values are "portable" and "normal" (or simply "p" and "n"). By default Jarte will automatically run in normal mode if it is installed on the same drive as Windows, or is installed on a network drive. If Jarte is run from any other drive (e.g., USB flash drive, secondary hard drive, etc) then Jarte will automatically run in portable mode. The M switch is used to override the automatic mode choice.

/N:<personality name> - This switch is only available with Jarte Plus. Jarte is started using all the environment and option settings associated the specified personality. The Jarte Personality feature creates a desktop icon which uses this switch. The user name should not include any spaces. Use underscores instead of spaces.

/P - Automatically prints any files specified as part of the command line. Jarte immediately closes after printing the files. Files are sent to the computer's default printer.

/PT:<printer name> - The PT switch is only available in Jarte Plus. It is the same as the P switch except you can specify the name of the printer to be used. It is not necessary to specify the exact printer name. You can specify any unique part of the printer name. For example, if you have a printer named "EPSON Stylus COLOR 880 on LPT1" you can send a file to it by specifying "/PT:epson" or "/PT:color 880" (be sure to use double quotes around the entire command line switch).

/U:<units of measurement> - Determines whether metric units or English units of length measurement are used throughout the Jarte program. The valid units of measurement values are "metric" and "english" (or simply "m" and "e"). Units of measurement are based on the computer's locale setting if this switch is not specified. Note that Jarte's units of measurement can also be specified in the ruler and the margin settings.

/T:<n> - Causes spaces to be inserted in plain text documents instead of tabs whenever the tab key is pressed. The number of spaces used to represent a tab is specified by n. Valid values for n are 1 through 9. This switch only affects plain text documents. Also, this switch causes the Increase Indent and Decrease Indent paragraph formatting features to use spaces, rather than tabs, for indenting in plain text documents. Also, see advanced setting Spaces For Tabs.

/X - Disables Jarte's print related features (same as advanced setting Ignore Printer). This switch is only needed in extremely rare cases where the default printer's driver prevents Jarte from starting.

This is an example DOS prompt command to start Jarte with the Clip List disabled, forced use of metric units, and C:\My Folder as the initial open/save folder:

"C:\Program Files\Jarte.exe" /D /U:M "/I:c:\My Folder"


Advanced Settings

Jarte maintains all of its options settings in a special file named Settings.ini. The Settings.ini file contains more settings than those that can be accessed through Jarte's program interface. These additional settings are generally referred to as advanced settings. The Edit Settings button in Jarte's System Information window provides direct access to the Settings.ini file.

Changing Advanced Settings

Main menu: | Help > System Information > Edit Settings
Compact layout: | Help > System Information > Edit Settings
Classic layout: | Help > System Information > Edit Settings

Warning: Editing settings directly in the Settings.ini file is not recommended unless you are sure of what you are doing! Jarte does not check the Settings.ini file for errors. If you make a mistake while editing the settings it may destabilize the Jarte program and cause it to misbehave or crash.

Edit Settings will open the Settings.ini file within Jarte so that it can be directly edited. Perform a text search to find the name of the setting to be changed. Then, simply change the value on the right side of the "=" to the desired value.

The Settings.ini file must be saved after a setting is modified. Note that changes made to the Settings.ini file will not take affect until Jarte is exited and then restarted.

Fixing the Setting.ini File

It is a good practice to create a backup copy of the Settings.ini file before changing it. This is done for you if the Create Document Backups option is turned on. If you inadvertently damage the Settings.ini file you can restore it with the backup copy. The Settings.ini file can also be safely deleted. Jarte will automatically create a new Settings.ini file if it is missing. This has the effect of returning Jarte to its factory default settings. The Settings.ini file can found in Jarte's data folder.


Aggressive Auto Correct

By default, Jarte's Auto Correct feature does not correct common misspellings of three letter words and some four letter words. This is because many such words are acronyms rather than misspellings. Advanced setting Aggressive Auto Correct controls this behavior.

If you prefer that Jarte auto correct small words then set the value of Aggressive Auto Correct to "1":

Aggressive Auto Correct=1

The default value is "0":

Aggressive Auto Correct=0

How to Change an Advanced Setting

See Advanced Settings for details on how to find and change the value of a Jarte advanced setting.


Allow Portable File Assoc

Advanced setting Allow Portable File Assoc controls whether Jarte is allowed to create file associations between itself and file format types RTF, DOC, DOCX, and TXT, even if Jarte is running from a portable drive. If Jarte is running from the primary Windows disk drive then it will always be able to set up file associations and the value of Allow Portable File Assoc is ignored. If Jarte is running from a secondary hard drive then Jarte will assume the drive is portable since it can not be sure.

The drive letter of a portable drive can change between Windows sessions, especially if the drive is sometimes disconnected from the computer. A change in the portable drive's drive letter would break any file association with any program that runs from the drive. Therefore, it is generally not a good idea to allow file associations to a program residing on a portable drive. However, if your drive is always connected to the computer then you may want to force Jarte to allow setting up file associations.

Set the value of Allow Portable File Assoc to "1" to allow Jarte to set up file associations from a portable drive:

Allow Portable File Assoc=1

The default value is "0":

Allow Portable File Assoc=0

How to Change an Advanced Setting

See Advanced Settings for details on how to find and change the value of a Jarte advanced setting.


Alternative Main Menu

The layout of Jarte's main menu is designed to conform as closely as possible to the main menu layout of other word processors such as WordPad and Word. This helps ease the transition from those word processors to Jarte. However, Jarte also provides an alternative main menu layout that you may find to be more efficient. The alternative main menu mirrors the menu button layout in Jarte's Compact Layout and includes all of the same functions as the classic (default) main menu.

Alternate Main Menu

Set Classic Main Menu to "0" to use the alternative main menu:

Classic Main Menu=0

The default value is "1" (i.e., use the classic style main menu):

Classic Main Menu=1

How to Change an Advanced Setting

See Advanced Settings for details on how to find and change the value of a Jarte advanced setting.


Asterisk In Tabs

Normally, the status bar's unsaved changes indicator is used to indicate whether the current file contains unsaved modifications. If the status bar is not being displayed then an asterisk is displayed at the end of the file name in the document tabs as in indicator instead.

If you want an asterisk to always be used at the end of the file name to indicate unsaved changes, regardless of whether the status bar is being displayed, then set advanced setting Asterisk in Tabs to "1":

Asterisk in Tabs=1

The default value is "0":

Asterisk in Tabs=0

How to Change an Advanced Setting

See Advanced Settings for details on how to find and change the value of a Jarte advanced setting.


Auto Center Pictures

Advanced setting Auto Center Pics determines whether inserted pictures are automatically centered in the document on a line by themselves, or inserted inline with the text. Note that even if this setting is turned on pictures can be inserted inline using the Shift key as described in inserting pictures.

Set Auto Center Pics to "0" to always insert pictures inline with the text:

Auto Center Pics=0

The default value is "1" (i.e., center pictures):

Auto Center Pics=1

How to Change an Advanced Setting

See Advanced Settings for details on how to find and change the value of a Jarte advanced setting.


Clip Limit

Advanced setting Clip Limit controls the maximum number of clips kept in the Clips List. Increase the number if you reach the limit. Example:

Saved Clip Limit=25

The default value is "15":

Saved Clip Limit=15

How to Change an Advanced Setting

See Advanced Settings for details on how to find and change the value of a Jarte advanced setting.

Related Settings

Saved Clip Limit


Clip List Enabled

Jarte's Clip List works by monitoring the Windows clipboard for any content copied to the clipboard by any program. If you do not use the Clip List and would prefer that it not monitor the clipboard then set advanced setting Clip List Enabled to "0":

Clip List Enabled=0

The default value is "1":

Clip List Enabled=1

How to Change an Advanced Setting

See Advanced Settings for details on how to find and change the value of a Jarte advanced setting.


Custom Insert Item

Jarte Plus allows you to add your own custom menu item to the Insert menu. This is useful if you often insert a certain type of object into your documents. For example, suppose you often insert WAV sound objects into your documents. You could create an Insert menu item named Sound that inserts a sound object into the current document. This is done using advanced settings Custom Insert Ext and Custom Insert Name. Custom Insert Ext is the file name extension associated with the type of object you wish to insert. Custom Insert Name is the name of the menu item as it should appear in the Insert menu. Note that if you include an ampersand in the name then the letter succeeding the ampersand becomes the menu item's mnemonic, or keyboard shortcut.

In our example, WAV is a file name extension of a common sound file format. Therefore, a custom Insert menu item for inserting WAV sounds can be defined as follows:

Custom Insert Ext=wav

Custom Insert Name=&Sound

The default settings are blank:

Custom Insert Ext=

Custom Insert Name=

Note that sounds and other objects not already included in the Insert menu can also be inserted using Insert Object.

How to Change an Advanced Setting

See Advanced Settings for details on how to find and change the value of a Jarte advanced setting.


Date and Time Formats

Jarte's Insert Date and Time formats the date and time inserted into a document according to the conventions of your geographic locale. However, advanced settings Short Date Format, Long Date Format, Day Date Format, and Time Format can be used to control the format of the date and time. The value of each setting is a string that describes the format according to the table shown below.

These examples...

Short Date Format=m/d/yy

Long Date Format=mmmm d, yyyy

Day Date Format=ddd, mmm d, yyyy

Time Format=hh:mm:ss AM/PM

...produce dates in the following formats respectively...

7/12/07

July 12, 2007

Thu, Jul 12, 2007

10:23 PM

The settings can be returned to their default values by leaving them blank. For example:

Short Date Format=

The following table details the specifiers that can be used in the date and time format values:

Specifier | Displays
d | Displays the day as a number without a leading zero (1-31).
dd | Displays the day as a number with a leading zero (01-31).
ddd | Displays the day as an abbreviation (Sun-Sat).
dddd | Displays the day as a full name (Sunday-Saturday).
m | Displays the month as a number without a leading zero (1-12). If the m specifier immediately follows an h or hh specifier, the minute rather than the month is displayed.
mm | Displays the month as a number with a leading zero (01-12). If the mm specifier immediately follows an h or hh specifier, the minute rather than the month is displayed.
mmm | Displays the month as an abbreviation (Jan-Dec).
mmmm | Displays the month as a full name (January-December).
yy | Displays the year as a two-digit number (00-99).
yyyy | Displays the year as a four-digit number (0000-9999).
h | Displays the hour without a leading zero (0-23).
hh | Displays the hour with a leading zero (00-23).
n | Displays the minute without a leading zero (0-59).
nn | Displays the minute with a leading zero (00-59).
s | Displays the second without a leading zero (0-59).
ss | Displays the second with a leading zero (00-59).
am/pm | Uses the 12-hour clock for the preceding h or hh specifier, and displays 'am' for any hour before noon, and 'pm' for any hour after noon. The am/pm specifier can use lower, upper, or mixed case, and the result is displayed accordingly.
a/p | Uses the 12-hour clock for the preceding h or hh specifier, and displays 'a' for any hour before noon, and 'p' for any hour after noon. The a/p specifier can use lower, upper, or mixed case, and the result is displayed accordingly.
/ | Displays the date separator character.
: | Displays the time separator character.
'xx'/"xx" | Characters enclosed in single or double quotes are displayed as is, and do not affect formatting.

How to Change an Advanced Setting

See Advanced Settings for details on how to find and change the value of a Jarte advanced setting.


Deaden Control Keys

Advanced setting Deaden Ctrl Keys is used to disable the keyboard's Ctrl keys while working in Jarte. This setting is useful if you often inadvertently press the Ctrl key when you mean to press the Shift key and end up triggering a feature you did not want. For example, if you are trying to type a capital letter "B" and press the Ctrl key instead of the Shift key then your subsequent typing will appear in bold type because Ctrl+B is the keyboard shortcut for the font bold feature.

That problem can be prevented by setting Deaden Ctrl Keys to "1":

Deaden Ctrl Keys=1

The default value is "0":

Deaden Ctrl Keys=0

How to Change an Advanced Setting

See Advanced Settings for details on how to find and change the value of a Jarte advanced setting.


Default Initial Folder

Advanced setting Default Initial Folder specifies the default folder used by Open and Save. If the setting is left blank Jarte will automatically default to the Windows documents folder for your account (i.e., usually C:\My Documents on Windows XP and above). Example:

Initial Folder=D:\My Stuff\Special Documents

The default is to leave the setting blank:

Initial Folder=

How to Change an Advanced Setting

See Advanced Settings for details on how to find and change the value of a Jarte advanced setting.

Related Settings

Default Picture Folder


Default Open Filter Index

Advanced setting Default Open Filter Index specifies the default document format used to control which files are displayed in the Open File dialog window. The available values are:

0 - Default to the document format selected in the previous use of the Open File dialog window

1 - Always default to RTF (rich text format)

2 - Always default to DOC (Microsoft Word format)

3 - Always default to DOCX (Microsoft Word 2007 format)

4 - Always default to TXT (plain text format)

5 - Always default to "All files"

For example, if Open File dialog window should always default to initially showing only DOC files then Default Open Filter Index should be set to "2":

Default Open Filter Index=2

The default value is "0":

Default Open Filter Index=0

How to Change an Advanced Setting

See Advanced Settings for details on how to find and change the value of a Jarte advanced setting.

Related Settings

Default Save Filter Index


Default Save Filter Index

Advanced setting Default Save Filter Index specifies the default document format used to save files in the Save File dialog window. The available values are:

0 - Default to the document format selected in the previous use of the Save File dialog window

1 - Always default to RTF (rich text format)

2 - Always default to DOC (Microsoft Word format)

For example, if the Save File dialog window should always default to saving files in DOC format then Default Save Filter Index should be set to "2":

Default Save Filter Index=2

Note that Default Save Filter Index is only used when saving rich text documents. The Save File dialog window always defaults to TXT when saving plain text documents.

The default value is "0":

Default Save Filter Index=0

How to Change an Advanced Setting

See Advanced Settings for details on how to find and change the value of a Jarte advanced setting.

Related Settings

Default Open Filter Index


Default Picture Folder

Advanced setting Default Picture Folder specifies the default folder used by Insert Picture. If the setting is left blank Jarte will automatically default to the Windows pictures folder for your account (i.e., usually C:\My Documents\My Pictures on Windows XP and above). Example:

Default Picture Folder=D:\Document Images\Favorites

The default is to leave the setting blank:

Default Picture Folder=

How to Change an Advanced Setting

See Advanced Settings for details on how to find and change the value of a Jarte advanced setting.

Related Settings

Default Initial Folder


Detect DNS

There is a bug in Nuance's Dragon NaturallySpeaking voice dictation product that prevents it from working properly with Jarte. Jarte works around this problem by automatically switching to an older version of the WordPad word processing engine when it detects Dragon NaturallySpeaking is running. This works because the Dragon NaturallySpeaking bug only affects the latest WordPad engine. Unfortunately, this solution means a few of Jarte's newer features are no longer available when Dragon NaturallySpeaking is running because those features require the latest version of the WordPad engine.

If you prefer that Jarte not automatically switch to the older WordPad engine when Dragon NaturallySpeaking is running then change advanced setting Detect DNS to "0":

Detect DNS=0

Note that in this case you will have to enter text into Jarte via the keyboard since Dragon NaturallySpeaking's voice dictation will not work properly with Jarte. Detect DNS's default value of "1" allows Jarte to automatically detect Dragon NaturallySpeaking and switch to the old WordPad engine so Dragon NaturallySpeaking can be properly used with Jarte:

Detect DNS=1

How to Change an Advanced Setting

See Advanced Settings for details on how to find and change the value of a Jarte advanced setting.


Enable Accent Shortcuts

Advanced setting Enable Accent Shortcuts controls whether the keyboard shortcuts for accented characters are enabled. The setting can be used to disable some, but not all, of the accent shortcuts. Disabling the accent shortcuts can be used to resolve certain shortcut key conflicts. For example, if accent shortcuts are enabled then Ctrl+= is used to insert certain mathematical symbols. If accent shortcuts are disabled the Ctrl+= is the keyboard shortcut for font subscripting.

Accent shortcuts can be disabled by setting Enable Accent Shortcuts to "0":

Enable Accent Shortcuts=0

The default value is "1":

Enable Accent Shortcuts=1

How to Change an Advanced Setting

See Advanced Settings for details on how to find and change the value of a Jarte advanced setting.


Engine Rollback

Jarte is based on Microsoft's WordPad word processing engine which is built into every copy of Windows. Actually, there are multiple versions of the WordPad engine in most Windows installations. Jarte automatically uses the latest available engine. In rare circumstances the user may want to revert back to an older version of the WordPad engine if a problem is encountered that only occurs when using the newer engine.

Advanced setting Engine Rollback is used to direct Jarte to use an older version of the WordPad engine. Specify a setting of "1" to use an older WordPad engine:

Engine Rollback=1

The default is to disable Engine Rollback by specifying a value of "0":

Engine Rollback=0

How to Change an Advanced Setting

See Advanced Settings for details on how to find and change the value of a Jarte advanced setting.


Equation Editor

Advanced setting Equation File Ext is used to determine the equation editor program Jarte associates with its Insert Equation command. If the setting is left blank Jarte will use the MathType equation editor for inserting equations if that program is installed.

The value of this setting is the file name extension of the equation files produced by the desired equation editor. For example:

Equation File Ext=mmf

"mmf" is the file name extension of equation files created using the MathMagic equation editor. The above setting will cause the Insert Equation command to start the MathMagic program to create a new equation instead of looking for the MathType equation editor (assuming MathMagic is installed).

The file name extension used by an equation editor program can usually be determined by selecting Save As in the program and looking at the Save As Type field. The specified file name extension must be an extension specific to the equation editor program (i.e., the extension can not be a generally used extension such as EPS, WMF, JPG, or GIF).

The default is to leave the setting blank:

Equation File Ext=

How to Change an Advanced Setting

See Advanced Settings for details on how to find and change the value of a Jarte advanced setting.


Favorite File Limit

Advanced setting Favorite File Limit controls the maximum number of favorite files allowed in the favorite files list. Increase the number if you reach the limit. Example:

Favorite File Limit=100

The default value is "65":

Favorite File Limit=65

How to Change an Advanced Setting

See Advanced Settings for details on how to find and change the value of a Jarte advanced setting.

Related Settings

Favorite Folder Limit

Recent File Limit

Recent Folder Limit


Favorite Folder Limit

Advanced setting Favorite Folder Limit controls the maximum number of favorite folders allowed in the favorite folders list. Increase the number if you reach the limit. Example:

Favorite Folder Limit=50

The default value is "35":

Favorite Folder Limit=35

How to Change an Advanced Setting

See Advanced Settings for details on how to find and change the value of a Jarte advanced setting.

Related Settings

Favorite File Limit

Recent File Limit

Recent Folder Limit


Find History Limit

Advanced setting Find History Limit controls the maximum number of history entries in the Find box that are saved and restored between Jarte sessions. Example:

Find History Limit=20

The default value is "10":

Favorite Folder Limit=10

How to Change an Advanced Setting

See Advanced Settings for details on how to find and change the value of a Jarte advanced setting.

Related Settings

Replace History Limit


Force Caption Path

Normally, the current document's file name is only displayed in Jarte's title bar caption if the document tabs are not displayed. Advanced setting Force Caption Path can be used to change this behavior by forcing the file name of the current document to appear in the title bar caption. Set Force Caption Path to "1" to force the file name to appear in the title bar:

Force Caption Path=1

The default value is "0":

Force Caption Path=0

How to Change an Advanced Setting

See Advanced Settings for details on how to find and change the value of a Jarte advanced setting.

Related Settings

Full Path Caption


Force Compact Spell Mode

Force Menu Spell Mode

Normally, Jarte's menu based spell checking is used for spell checking whenever the side tool panel is not displayed. Jarte normally uses its spell check tool panel to perform spell checking when the side tool panel is displayed. However, setting Force Menu Spell Mode can be used to force Jarte to always use its menu based spell checking mode even when the side tool panel is being displayed. Set Force Menu Spell Mode to a value of "1" to force Jarte's menu based spell check:

Force Menu Spell Mode=1

The default value is "0":

Force Menu Spell Mode=0

How to Change an Advanced Setting

See Advanced Settings for details on how to find and change the value of a Jarte advanced setting.

Related Settings

Full Path Caption


Full Path Caption

Advanced setting Full Path Caption controls whether the current document's full file path (e.g., C:\My Documents\My To Do List.rtf) appears in Jarte's title bar caption, or just the file name portion of the path (e.g., My To Do List.rtf). Set Full Path Caption to "1" to show the full file path in the title bar. Example:

Full Path Caption=1

The default value is "0":

Full Path Caption=0

How to Change an Advanced Setting

See Advanced Settings for details on how to find and change the value of a Jarte advanced setting.

Related Settings

Force Caption Path


Hot Connect Settings

The commonly used Hot Connect settings are controlled through the Hot Connect Options window. Additional settings for the Hot Connect feature are described here. These settings are found in the [Hot Connect] section of the advanced settings file.

Plain Text

Hot Connect normally transfers text between Jarte and hot connected windows as unformatted plain text, but there are exceptions where rich text is used. If these exceptions cause problems then set the Plain Text setting to "1" to ensure plain text transfers are always used:

Plain Text=1

The default value is "0":

Plain Text=0

Hot Key Delay

The Hot Connect feature is triggered as soon as the Hot Connect hot key is pressed. However, Jarte must wait for the user to release the hot key before text can be transferred from the hot connected window to Jarte. Jarte can detect when the hot key (e.g., F7) is released, but if the Alt, Ctrl, and/or Shift keys are being used with the hot key then Jarte can not detect when those keys are released. Therefore, Jarte waits a prescribed amount of time after the hot key is released for the Alt, Ctrl, and/or Shift keys to be released as well. By default, Jarte waits 0.7 seconds for the Alt, Ctrl, and/or Shift keys to be released after it detects the hot key has been released. If the user continues to press the Alt, Ctrl, and/or Shift keys longer than that then Jarte will fail to properly transfer text from the hot connected window to Jarte.

The Hot Key Delay setting can be used to increase or decrease the time Jarte waits for the Alt, Ctrl, and/or Shift keys to be released after the hot key is released. The value of this setting is specified in millisecond units (1000 milliseconds equals 1 second). For example, the delay period can be reduced to 0.3 seconds by changing the setting to 300:

Hot Key Delay=300

The default value is "700" (0.7 seconds):

Hot Key Delay=700

Switch Delay

Jarte introduces a slight delay after switching focus between Jarte and the hot connected window and before transferring text. This delay is necessary to ensure the switch between windows is completed before the text transfer is initiated. If cases are encountered where the length of the delay is insufficient to allow proper text transfer then the Switch Delay setting can be increased to resolve the problem. The value of this setting is specified in millisecond units (1000 milliseconds equals 1 second). For example, the delay period can be increased to 0.2 seconds by changing the setting to 200:

Switch Delay=200

The default value is "100" (0.1 seconds):

Switch Delay=100

How to Change an Advanced Setting

See Advanced Settings for details on how to find and change the value of a Jarte advanced setting.


Ignore Printer

Advanced setting Ignore Printer determines whether Jarte disables its printer related functions (e.g., print, print preview, page setup, page counting, etc). Ignore Printer is generally only needed in rare cases where Jarte's attempts to communicate with the printer's driver software causes problems. In those scenarios an error occurs in printer driver software which then triggers an error within Jarte. Ignore Printer can be used to prevent Jarte from communicating with the bad printer driver and thereby avoiding any problems with it. Set Ignore Printer to "1" to direct Jarte to ignore the printer:

Ignore Printer=1

The default value is "0":

Ignore Printer=0

How to Change an Advanced Setting

See Advanced Settings for details on how to find and change the value of a Jarte advanced setting.


Open To Bookmark

Jarte Plus can automatically scroll to the first bookmark in a file when the file is opened. This provides a convenient means of immediately starting work in a document at some point other than the top of the file. Set advanced setting Open To Bookmark to "1" to automatically scroll an opened file to its first bookmark, if present:

Open to Bookmark=1

Set Open To Bookmark to "2" to automatically scroll an opened file to its last bookmark:

Open to Bookmark=2

The default value is "0" (i.e., do not automatically scroll to a bookmark):

Open to Bookmark=0

How to Change an Advanced Setting

See Advanced Settings for details on how to find and change the value of a Jarte advanced setting.


Override Screen Reader

Advanced setting Override Screen Reader is used to control whether Jarte starts in screen reader mode regardless of whether it detects a screen reader program running on the computer. This setting is useful in cases where Jarte needs to be forced into screen reader mode because it does not recognize the presence of a particular screen reader. It is also useful for preventing Jarte from entering screen reader mode in cases where it falsely detects the presence of a screen reader.

Set Override Screen Reader to "1" to ensure Jarte always starts in screen reader mode:

Override Screen Reader=1

Set Override Screen Reader to "2" to prevent Jarte from entering screen reader mode:

Override Screen Reader=2

The default value is "0", which indicates Jarte will automatically enter screen reader mode if it detects a screen reader program is running when Jarte is started:

Override Screen Reader=0

How to Change an Advanced Setting

See Advanced Settings for details on how to find and change the value of a Jarte advanced setting.


Plain Menus

For those who prefer plainer looking menus, advanced setting Plain Menus is used to hide most of the icons that appear in Jarte's various menus. Example:

Plain Menus=1

The default is for menu icons to be displayed:

Plain Menus=0

How to Change an Advanced Setting

See Advanced Settings for details on how to find and change the value of a Jarte advanced setting.


PDF Printer Name

Advanced setting PDF Printer Name determines the PDF "printer" used to export documents to PDF files. Jarte's PDF export function is implemented through the use of a separate PDF "printer" utility program. A PDF printer utility appears as a printer in your computer's configuration, but it is really a software program pretending to be a printer. Printing a document to a PDF printer utility causes the PDF utility to create a PDF file representing the document being printed, rather than creating an actual paper printout. If you do not already have a PDF printer utility installed on your computer then you may be interested in this recommended PDF program.

Jarte's Export to PDF guesses which printer is a PDF printer by looking for the letters "PDF" in the printer name. The first printer name it finds with those letters is assumed to be the PDF printer utility to be used for exporting documents to PDF. However, this can be a problem if your PDF printer utility does not use a printer name containing the letters "PDF", or if you have more than one PDF printer utility installed.

Those issues can be resolved by changing advanced setting PDF Printer Name to specify the name of the printer you wish to designate as the printer to be used by the Export to PDF function. For example, the following setting directs Jarte to use the printer with the name "PrimoPDF" for PDF exports:

PDF Printer Name=PrimoPDF

The default is to leave the setting blank:

PDF Printer Name=

How to Change an Advanced Setting

See Advanced Settings for details on how to find and change the value of a Jarte advanced setting.


Recent File Limit

Advanced setting Recent File Limit controls the maximum number of recent files allowed in the recent files list. Increase the number if you prefer access to a longer file history. Example:

Recent File Limit=20

The default value is "10":

Recent File Limit=10

How to Change an Advanced Setting

See Advanced Settings for details on how to find and change the value of a Jarte advanced setting.

Related Settings

Favorite File Limit

Favorite Folder Limit

Recent Folder Limit


Recent Folder Limit

Advanced setting Recent Folder Limit controls the maximum number of recent folders allowed in the recent folders list. Increase the number if you prefer access to a longer folder history. Example:

Recent Folder Limit=20

The default value is "10":

Recent Folder Limit=10

How to Change an Advanced Setting

See Advanced Settings for details on how to find and change the value of a Jarte advanced setting.

Related Settings

Favorite File Limit

Favorite Folder Limit

Recent File Limit


Replace History Limit

Advanced setting Replace History Limit controls the maximum number of history entries in the Replace box that are saved and restored between Jarte sessions. Example:

Replace History Limit=20

The default value is "10":

Replace History Limit=10

How to Change an Advanced Setting

See Advanced Settings for details on how to find and change the value of a Jarte advanced setting.

Related Settings

Find History Limit


Saved Clip Limit

Advanced setting Saved Clip Limit controls the maximum number of saved clips allowed in the saved clips list. Increase the number if you reach the limit. Example:

Saved Clip Limit=200

The default value is "100":

Saved Clip Limit=100

How to Change an Advanced Setting

See Advanced Settings for details on how to find and change the value of a Jarte advanced setting.

Related Settings

Clip Limit


Spaces For Tabs

Advanced setting Spaces For Tabs causes spaces to be inserted in plain text documents instead of tabs whenever the tab key is pressed. The setting specifies the number of spaces to be used to represent a tab. Valid values are 1 through 9. This setting only affects plain text documents.

This setting also causes the Increase Indent and Decrease Indent paragraph formatting features to use spaces, rather than tabs, for indenting in plain text documents. The following example specifies that three spaces should be used instead of a tab character in plain text documents whenever the tab key is pressed:

Spaces For Tabs=3

The default value is -1 which means tabs will not be replaced by spaces:

Spaces For Tabs=-1

How to Change an Advanced Setting

See Advanced Settings for details on how to find and change the value of a Jarte advanced setting.


Spell Check Depth

Advanced setting Spell Check Depth is used to control the quality of the suggested spellings provided when the spell checker identifies a misspelled word. Valid values are from 0 to 100. A value of 100 indicates Jarte's spell checker should give its very best effort to find the most likely correct spellings for a misspelled word. However, this "best effort" comes at a price since a value 100 will cause the spell checker to use more time to find the best spellings. Reasonably late model computers should have enough to CPU power to allow Jarte's spell checker to use a Spell Check Depth value of 100 without using a significant amount of extra time.

Normally, the default value for Spell Check Depth is 100 (the maximum). However, there are two situations where the setting defaults to a value of 40:

1. For Windows versions below Windows XP (e.g., Windows 95, 98, ME, etc). In these cases it is assumed the computer may be an older model for which a large value for Spell Check Depth may cause significant delays during spell checking.
2. When Jarte is running from a portable drive. USB flash drives use slow memory which can significantly affect the speed of the spell checker if a large value for Spell Check Depth is used.

It should be noted that even a Spell Check Depth setting of zero will still provide a reasonably satisfactory list of spelling suggestions for a misspelled word in most cases. For best results, set the value of Spell Check Depth to the highest value that allows the spell checker to still perform at a satisfactory speed. Example:

Spell Check Depth=75

How to Change an Advanced Setting

See Advanced Settings for details on how to find and change the value of a Jarte advanced setting.


Start Tool Panel

By default, Jarte initially displays the About panel when it is started in Classic Layout mode. Advanced setting Start Tool Panel can be used to designate one of the other side tool panels to be the initial panel displayed when Jarte is started. Setting Start Tool Panel accepts a numeric value with the following meanings:

0 = About Panel

1 = File Tools Panel

2 = Font Tools Panel

3 = Paragraph Tools Panel

4 = Spell Check Panel

For example, if you prefer to have the File Tools panel be the initially displayed side tool panel when Jarte is started then you would assign Start Tool Panel a value of "1":

Start Tool Panel=1

The default value is "0":

Start Tool Panel=0

How to Change an Advanced Setting

See Advanced Settings for details on how to find and change the value of a Jarte advanced setting.


Traditional Status Bar

Jarte has an alternate status bar that can be substituted for the default status bar via advanced setting Traditional Status Bar. The alternate status bar is a simple text based status bar much like the traditional style status bar used by many other programs. The alternate status bar is automatically used when Jarte is in screen reader mode because it can be read by some screen readers. However, some Jarte users who prefer Jarte's Minimal Layout may also prefer the plainness of the alternate status bar.

Set Traditional Status Bar to a value of "1" if you prefer a traditional text style status bar:

Traditional Status Bar=1

The default value is "0":

Traditional Status Bar=0

How to Change an Advanced Setting

See Advanced Settings for details on how to find and change the value of a Jarte advanced setting.


Use Preview Shortcut

Before Jarte version 3.0 shortcut Shift+Ctrl+P was assigned to the Print Preview feature. In Jarte 3.0 Shift+Ctrl+P was reassigned to the new Quick Print feature instead. If you prefer that Shift+Ctrl+P be assigned to Print Preview then set advanced setting Use Preview Shortcut to "1":

Use Preview Shortcut=1

The default value is "0":

Use Preview Shortcut=0

How to Change an Advanced Setting

See Advanced Settings for details on how to find and change the value of a Jarte advanced setting.


Use Standard Find Dialog

Normally, Jarte's Find Bar is used to perform text searches within documents. However, advanced setting Use Standard Find Dialog can be used to substitute a standard Windows Find dialog for the Find Bar when performing text searches. It also causes the standard Windows Replace dialog to be used when performing text replacements. Change the setting's value to "1" to switch to the standard Find and Replace dialogs:

Use Standard Find Dialog=1

The default value is "0":

Use Standard Find Dialog=0

How to Change an Advanced Setting

See Advanced Settings for details on how to find and change the value of a Jarte advanced setting.


Legal

Jarte Software and Documentation:

Copyright © 2001-2008, Carolina Road Software, L.L.C.

Jarte Spell Check Dictionaries:

American English Dictionary Copyright (c) 1999 Wintertree Software Inc.

British English Dictionary Copyright (c) 1999 Wintertree Software Inc.

German Dictionary Copyright (c) 1999 Wintertree Software Inc.

French Dictionary Copyright (c) 1999 Wintertree Software Inc.

Spanish Dictionary Copyright (c) 1999 Wintertree Software Inc.

Dutch Dictionary Copyright (c) 1999 Wintertree Software Inc.

Italian Dictionary Copyright (c) 1999 Wintertree Software Inc.

Jarte is a trademark of Carolina Road Software, L.L.C.

Windows is a trademark of Microsoft Corporation registered in the U.S. and other countries.

All other trademarks and service marks are the property of their respective owners.

The license agreement for Jarte/Jarte Plus is contained in file license.txt which is installed in the same folder as the Jarte program. The license agreement may be viewed by clicking on the copyright at the bottom of the About panel in the Jarte program.